<?php
/**
 * Copyright 2011-2023 Twinkle Toes Software, LLC
 */

require_once('Language.php');
require_once('en_gb.php');

class du_nl extends en_gb
{
    public function __construct()
    {
        parent::__construct();
    }

    protected function _LoadStrings()
    {
        $strings = parent::_LoadStrings();

        $strings['FirstName'] = 'Voornaam';
        $strings['LastName'] = 'Achternaam';
        $strings['Timezone'] = 'Tijdzone';
        $strings['Edit'] = 'Bewerken';
        $strings['Change'] = 'Wijzig';
        $strings['Rename'] = 'Hernoem';
        $strings['Remove'] = 'Verwijder';
        $strings['Delete'] = 'Delete';
        $strings['Update'] = 'Pas aan';
        $strings['Cancel'] = 'Annuleer';
        $strings['Add'] = 'Voeg toe';
        $strings['Name'] = 'Naam';
        $strings['Yes'] = 'Ja';
        $strings['No'] = 'Nee';
        $strings['FirstNameRequired'] = 'Voornaam is vereist.';
        $strings['LastNameRequired'] = 'Achternaam is vereist.';
        $strings['PwMustMatch'] = 'Wachtwoord bevestiging moet overeenkomen met het wachtwoord.';
        $strings['PwComplexity'] = 'Wachtwoord moet minstens 6 karakters lang zijn en bestaan uit een combinatie van alfanumerische tekens en symbolen.';
        $strings['ValidEmailRequired'] = 'Een geldig e-mailadres moet opgegeven worden.';
        $strings['UniqueEmailRequired'] = 'Dit e-mailadres is al geregistreerd.';
        $strings['UniqueUsernameRequired'] = 'Deze gebruikersnaam is al geregistreerd.';
        $strings['UserNameRequired'] = 'Een gebruikersnaam is vereist.';
        $strings['CaptchaMustMatch'] = 'Voer exact de letters in zoals op de afbeelding.';
        $strings['Today'] = 'Vandaag';
        $strings['Day'] = 'Dag';
        $strings['Week'] = 'Week';
        $strings['ThisWeek'] = ' Deze week';
        $strings['Month'] = 'Maand';
        $strings['BackToCalendar'] = 'Terug naar kalender';
        $strings['BeginDate'] = 'Begin';
        $strings['EndDate'] = 'Einde';
        $strings['DateRange'] = 'Periode';
        $strings['Username'] = 'Gebruikersnaam';
        $strings['Password'] = 'Wachtwoord';
        $strings['PasswordConfirmation'] = 'Bevestig wachtwoord';
        $strings['DefaultPage'] = 'Standaard hoofdpagina';
        $strings['MyCalendar'] = 'Mijn kalender';
        $strings['ScheduleCalendar'] = 'Planning kalender';
        $strings['Registration'] = 'Registratie';
        $strings['CheckInTime'] = 'Tijd check-in';
        $strings['CheckOutTime'] = 'Tijd check-out';
        $strings['OriginalEndDate'] = 'Eigenlijke eind-datum';
        $strings['NoAnnouncements'] = 'Er zijn geen aankondigingen';
        $strings['ReservationColors'] = 'Reserverings kleuren';
        $strings['AddReservationColorRule'] = 'Reserveringskleur toevoegen';
        $strings['ReservationCustomRuleAdd'] = 'Gebruik deze kleur als het reserverings-attribuut de volgende waarde heeft';
        $strings['AddRule'] = 'Regel toevoegen';
        $strings['RequiredValue'] = 'Waarde';
        $strings['Announcements'] = 'Aankondigingen';
        $strings['NoUpcomingReservations'] = 'U hebt geen komende reserveringen';
        $strings['UpcomingReservations'] = 'Komende reserveringen';
        $strings['ShowHide'] = 'Toon/Verberg';
        $strings['Error'] = 'Fout';
        $strings['ReturnToPreviousPage'] = 'Keer terug naar de vorige pagina';
        $strings['UnknownError'] = 'Onbekende fout';
        $strings['InsufficientPermissionsError'] = 'U hebt onvoldoende rechten tot deze bron';
        $strings['MissingReservationResourceError'] = 'Er werd geen bron geselecteerd';
        $strings['MissingReservationScheduleError'] = 'Er werd geen planning geselecteerd';
        $strings['ManageEmailTemplates'] = 'E-mail sjablonen beheren';
        $strings['DataCleanup'] = 'Data opschonen';
        $strings['InviteUsers'] = 'Gebruikers uitnodigen';
        $strings['Import'] = 'Importeren';
        $strings['Export'] = 'Exporteren';
        $strings['Administration'] = 'Beheer';
        $strings['Administrator'] = 'Beheerder';
        $strings['Administrators'] = 'Beheerders';
        $strings['DoesNotRepeat'] = 'Niet herhalen';
        $strings['Daily'] = 'Dagelijks';
        $strings['Weekly'] = 'Wekelijks';
        $strings['Monthly'] = 'Maandelijks';
        $strings['Yearly'] = 'Jaarlijks';
        $strings['RepeatPrompt'] = 'Herhaal';
        $strings['hours'] = 'uren';
        $strings['days'] = 'dagen';
        $strings['weeks'] = 'weken';
        $strings['months'] = 'maanden';
        $strings['years'] = 'jaren';
        $strings['day'] = 'dag';
        $strings['week'] = 'week';
        $strings['month'] = 'maand';
        $strings['year'] = 'jaar';
        $strings['ViewAvailability'] = 'Bekijk beschikbaarheid';
        $strings['SpecificDates'] = 'Toon specifieke datum';
        $strings['repeatDayOfMonth'] = 'dag van de maand';
        $strings['repeatDayOfWeek'] = 'dag van de week';
        $strings['RepeatUntilPrompt'] = 'Tot';
        $strings['RepeatEveryPrompt'] = 'Elke';
        $strings['RepeatDaysPrompt'] = 'Op';
        $strings['CreateReservationHeading'] = 'Maak een nieuwe reservering';
        $strings['EditReservationHeading'] = 'Wijzig reservering %s';
        $strings['ViewReservationHeading'] = 'Raadpleeg reservering %s';
        $strings['ViewCalendar'] = 'Bekijk de kalender';
        $strings['Reserve'] = 'Reserveren';
        $strings['ReservationErrors'] = 'Wijzig reservering';
        $strings['Create'] = 'Maak aan';
        $strings['ThisInstance'] = 'Enkel deze instantie';
        $strings['AllInstances'] = 'Alle instanties';
        $strings['FutureInstances'] = 'Toekomstige instanties';
        $strings['Print'] = 'Print';
        $strings['ShowHideNavigation'] = 'Toon/Verberg navigatie';
        $strings['ReferenceNumber'] = 'Referentie nummer';
        $strings['Tomorrow'] = 'Morgen';
        $strings['LaterThisWeek'] = 'Later deze week';
        $strings['NextWeek'] = 'Volgende week';
        $strings['SignOut'] = 'Uitloggen';
        $strings['More'] = 'Meer';
        $strings['LayoutDescription'] = 'Begint op %s, met %s zichtbare dagen';
        $strings['AllResources'] = 'Alle bronnen';
        $strings['TakeOffline'] = 'Breng offline';
        $strings['BringOnline'] = 'Breng online';
        $strings['AddImage'] = 'Voeg afbeelding toe';
        $strings['NoImage'] = 'Geen afbeelding gekoppeld';
        $strings['Move'] = 'Verplaats';
        $strings['AppearsOn'] = 'Verschijnt op %s';
        $strings['Location'] = 'Locatie';
        $strings['NoLocationLabel'] = '(geen locatie vermeld)';
        $strings['Contact'] = 'Contact';
        $strings['NoContactLabel'] = '(geen contact informatie)';
        $strings['Description'] = 'Beschrijving';
        $strings['NoDescriptionLabel'] = '(geen beschrijving)';
        $strings['Notes'] = 'Notities';
        $strings['NoNotesLabel'] = '(geen notities)';
        $strings['NoTitleLabel'] = '(geen titel)';
        $strings['UsageConfiguration'] = 'Gebruik configuratie';
        $strings['ChangeConfiguration'] = 'Wijzig configuratie';
        $strings['ChangeLanguage'] = 'Taal wijzigen';
        $strings['ResourceMinLength'] = 'Een reservering moet minimum %s duren';
        $strings['ResourceMinLengthNone'] = 'Er is geen minimale reserveringsduur';
        $strings['ResourceMaxLength'] = 'Reserveringen kunnen niet langer duren dan %s';
        $strings['ResourceMaxLengthNone'] = 'Er is geen maximale reserveringsduur';
        $strings['ResourceRequiresApproval'] = 'Reserveringen vereisen goedkeuring';
        $strings['ResourceRequiresApprovalNone'] = 'Reserveringen zonder goedkeuring';
        $strings['ResourcePermissionAutoGranted'] = 'Toegang wordt automatisch verleend';
        $strings['ResourcePermissionNotAutoGranted'] = 'Toegang wordt niet automatisch verleend';
        $strings['ResourceMinNotice'] = 'Reserveringen moeten minstens %s op voorhand gemaakt worden';
        $strings['ResourceMinNoticeNone'] = 'Reserveringen kunnen gemaakt worden vanaf huidig tijdstip';
        $strings['ResourceMaxNotice'] = 'Reserveringen kunnen niet later eindigen dan %s van het huidige tijdstip';
        $strings['ResourceMaxNoticeNone'] = 'Reserveringen kunnen onbeperkt in de toekomst eindigen';
        $strings['ResourceAllowMultiDay'] = 'Meerdaagse reserveringen mogelijk';
        $strings['ResourceNotAllowMultiDay'] = 'Meerdaagse reserveringen niet toegelaten';
        $strings['ResourceCapacity'] = 'Deze bron heeft een capaciteit van %s personen';
        $strings['ResourceCapacityNone'] = 'Deze bron heeft ongelimiteerde capaciteit';
        $strings['AddNewResource'] = 'Nieuw bron toevoegen';
        $strings['User'] = 'Gebruiker';
        $strings['Users'] = 'Gebruikers';
        $strings['AddNewUser'] = 'Nieuwe gebruiker toevoegen';
        $strings['AddUser'] = 'Gebruiker toevoegen';
        $strings['Schedule'] = 'Planning';
        $strings['AddResource'] = 'Bron toevoegen';
        $strings['Capacity'] = 'Capaciteit';
        $strings['Access'] = 'Toegang';
        $strings['Duration'] = 'Duur';
        $strings['NoCheckInRequiredNotification'] = 'Vereist geen check-in';
        $strings['ResourceMinNoticeNoneUpdate'] = 'Reserveringen kunnen ge-update worden tot de huidige tijd';
        $strings['ResourceMinNoticeNoneDelete'] = 'Reserveringen kunnen verwijderd worden tot de huidige tijd';
        $strings['Active'] = 'Actief';
        $strings['Inactive'] = 'Inactief';
        $strings['ResetPassword'] = 'Reset wachtwoord';
        $strings['LastLogin'] = 'Laatst ingelogd';
        $strings['Search'] = 'Zoek';
        $strings['SearchReservations'] = 'Zoek reserveringen';
        $strings['ResourcePermissions'] = 'Toegangsrechten bron';
        $strings['Reservations'] = 'Reserveringen';
        $strings['Groups'] = 'Groepen';
        $strings['ResetPassword'] = 'Reset wachtwoord';
        $strings['AllUsers'] = 'Alle gebruikers';
        $strings['AllGroups'] = 'Alle groepen';
        $strings['Schedules'] = 'Planningen';
        $strings['AllSchedules'] = 'Alle planningen';
        $strings['UsernameOrEmail'] = 'Gebruikersnaam of e-mail';
        $strings['Members'] = 'Leden';
        $strings['QuickSlotCreation'] = 'Voeg slots toe elke %s minuten tussen %s en %s';
        $strings['ApplyUpdatesTo'] = 'Pas updates toe';
        $strings['CancelParticipation'] = 'Annuleer deelname';
        $strings['Attending'] = 'Wachtend...';
        $strings['QuotaConfiguration'] = 'Op %s voor %s gebruikers in %s zijn beperkt tot %s %s per %s';
        $strings['reservations'] = 'reserveringen';
        $strings['ChangeCalendar'] = 'Wijzig kalender';
        $strings['AddQuota'] = 'Voeg quota toe';
        $strings['FindUser'] = 'Zoek gebruiker';
        $strings['FindATime'] = 'Vind een tijd';
        $strings['Created'] = 'Aangemaakt';
        $strings['LastModified'] = 'Laatste wijziging';
        $strings['GroupName'] = 'Groep naam';
        $strings['GroupMembers'] = 'Groep leden';
        $strings['GroupRoles'] = 'Groep rollen';
        $strings['GroupAdmin'] = 'Groep beheerder';
        $strings['Actions'] = 'Acties';
        $strings['CurrentPassword'] = 'Huidig wachtwoord';
        $strings['NewPassword'] = 'Nieuw wachtwoord';
        $strings['InvalidPassword'] = 'Huidig wachtwoord is fout';
        $strings['PasswordChangedSuccessfully'] = 'Uw wachtwoord is succesvol aangepast';
        $strings['SignedInAs'] = 'Ingelogd als';
        $strings['NotSignedIn'] = 'U bent niet ingelogd';
        $strings['ReservationTitle'] = 'Reservering titel';
        $strings['ReservationDescription'] = 'Beschrijving van de reservering';
        $strings['AllUpcomingReservations'] = 'Alle toekomstige reserveringen';
        $strings['AllNoUpcomingReservations'] = 'Er zijn geen toekomstige reserveringen in de volgende %s dagen';
        $strings['ResourceList'] = 'Te reserveren bronnen';
        $strings['Accessories'] = 'Benodigdheden';
        $strings['Add'] = 'Voeg toe';
        $strings['ParticipantList'] = 'Deelnemers';
        $strings['InvitationList'] = 'Uitgenodigden';
        $strings['AccessoryName'] = 'Naam benodigdheden';
        $strings['QuantityAvailable'] = 'Beschikbare hoeveelheid';
        $strings['Resources'] = 'Bronnen';
        $strings['AllResourceTypes'] = 'Alle Bron types';
        $strings['AllParticipants'] = 'Alle deelnemers';
        $strings['IncludeDeleted'] = 'Inclusief verwijderde reserveringen';
        $strings['Utilization'] = 'Toepassing';
        $strings['Participants'] = 'Deelnemers';
        $strings['User'] = 'Gebruiker';
        $strings['Resource'] = 'Bron';
        $strings['ResourceAvailability'] = 'Beschikbaarheid Bron';
        $strings['Status'] = 'Status';
        $strings['Approve'] = 'Bevestig';
        $strings['Page'] = 'Pagina';
        $strings['Rows'] = 'Rijen';
        $strings['Unlimited'] = 'Onbeperkt';
        $strings['Email'] = 'E-mail';
        $strings['EmailAddress'] = 'E-mailadres';
        $strings['Phone'] = 'Telefoon';
        $strings['Organization'] = 'Organisatie';
        $strings['Position'] = 'Functie';
        $strings['Language'] = 'Taal';
        $strings['Permissions'] = 'Toegangsrechten';
        $strings['Reset'] = 'Reset';
        $strings['FindGroup'] = 'Groep zoeken';
        $strings['Manage'] = 'Beheer';
        $strings['None'] = 'Geen';
        $strings['AddToOutlook'] = 'Voeg toe in Outlook';
        $strings['AddToGoogle'] = 'Voeg toe in Google';
        $strings['Duplicate'] = 'Dupliceren';
        $strings['Delete'] = 'Verwijderen';
        $strings['Done'] = 'Klaar';
        $strings['RememberMe'] = 'Herinner me';
        $strings['FirstTimeUser?'] = 'Nieuwe gebruiker?';
        $strings['CreateAnAccount'] = 'Een account aanmaken';
        $strings['ViewSchedule'] = 'Bekijk planning';
        $strings['ForgotMyPassword'] = 'Wachtwoord vergeten';
        $strings['YouWillBeEmailedANewPassword'] = 'U zult via een e-mail een willekeurig gegenereerd wachtwoord toegestuurd krijgen';
        $strings['Close'] = 'Sluit';
        $strings['ExportToCSV'] = 'Exporteer naar CSV';
        $strings['OK'] = 'OK';
        $strings['Working'] = 'Bezig...';
        $strings['RegisterANewAccount'] = 'Registeer een nieuwe account';
        $strings['Login'] = 'Login';
        $strings['AdditionalInformation'] = 'Bijkomende informatie';
        $strings['AllFieldsAreRequired'] = 'alle velden zijn verplicht';
        $strings['Optional'] = 'optioneel';
        $strings['YourProfileWasUpdated'] = 'Uw profiel is gewijzigd';
        $strings['YourSettingsWereUpdated'] = 'Uw instellingen zijn gewijzigd';
        $strings['Register'] = 'Registreren';
        $strings['SecurityCode'] = 'Veiligheidscode';
        $strings['ReservationCreatedPreference'] = 'Wanneer ik of iemand in mijn naam een reservering maakt';
        $strings['ReservationUpdatedPreference'] = 'Wanneer ik of iemand anders een reservering van me wijzigt';
        $strings['ReservationApprovalPreference'] = 'Wanneer mijn reserveringen uit de wachtrij zijn goedgekeurd';
        $strings['PreferenceSendEmail'] = 'Stuur me een e-mail';
        $strings['PreferenceNoEmail'] = 'Geen melding sturen';
        $strings['ReservationCreated'] = 'Uw reservering is succesvol aangemaakt!';
        $strings['ReservationUpdated'] = 'Uw reservering is succesvol gewijzigd!';
        $strings['ReservationRemoved'] = 'Uw reservering is verwijderd';
        $strings['YourReferenceNumber'] = 'Uw referentie nummer is %s';
        $strings['UpdatingReservation'] = 'Wijzigen reservering bezig';
        $strings['ChangeUser'] = 'Wijzig gebruiker';
        $strings['MoreResources'] = 'Extra bronnen';
        $strings['ReservationLength'] = 'Duur reservering';
        $strings['ParticipantList'] = 'Deelnemerslijst';
        $strings['AddParticipants'] = 'Voeg deelnemers toe';
        $strings['InviteOthers'] = 'Nodig anderen uit';
        $strings['AddResources'] = 'Voeg bron toe';
        $strings['AddAccessories'] = 'Voeg benodigdheden toe';
        $strings['Accessory'] = 'Benodigdheden';
        $strings['QuantityRequested'] = 'Hoeveelheid vereist';
        $strings['CreatingReservation'] = 'Bezig met aanmaken van de reservering';
        $strings['UpdatingReservation'] = 'Bezig met wijzigen van de reservering';
        $strings['DeleteWarning'] = 'Deze actie is permanent en niet terug te draaien!';
        $strings['DeleteAccessoryWarning'] = 'Deze benodigdheden verwijderen betekent dat deze uit alle reserveringen verwijderd zal worden.';
        $strings['AddAccessory'] = 'Voeg benodigdheden toe';
        $strings['AddBlackout'] = 'Voeg geblokkeerde periode toe';
        $strings['AllResourcesOn'] = 'Alle bronnen op';
        $strings['Reason'] = 'Oorzaak';
        $strings['BlackoutShowMe'] = 'Toon de conflicterende reserveringen';
        $strings['BlackoutDeleteConflicts'] = 'Verwijder conflicterende reserveringen';
        $strings['Filter'] = 'Filter';
        $strings['Between'] = 'Tussen';
        $strings['CreatedBy'] = 'Aangemaakt door';
        $strings['BlackoutCreated'] = 'Geblokkeerde tijd aangemaakt!';
        $strings['BlackoutNotCreated'] = 'Deze geblokkeerde periode kan niet aangemaakt worden';
        $strings['BlackoutConflicts'] = 'Er zijn conflicterende geblokkeerde periodes';
        $strings['ReservationConflicts'] = 'Er zijn conflicterende reservering periodes';
        $strings['UsersInGroup'] = 'Gebruikers in deze groep';
        $strings['Browse'] = 'Browse';
        $strings['DeleteGroupWarning'] = 'Deze groep verwijderen resulteert in het verwijderen van alle gekoppelde toegangsrechten op bronnen. Gebruikers in deze groep kunnen derhalve toegangsrechten verliezen.';
        $strings['WhatRolesApplyToThisGroup'] = 'Welke rollen behoren tot deze groep?';
        $strings['WhoCanManageThisGroup'] = 'Wie beheert deze groep?';
        $strings['AddGroup'] = 'Voeg groep toe';
        $strings['AllQuotas'] = 'Alle Quotas';
        $strings['QuotaReminder'] = 'Opgelet: Quotas worden toegepast op basis van de tijdzone van de planning.';
        $strings['AllReservations'] = 'Alle reserveringen';
        $strings['PendingReservations'] = 'Openstaande reserveringen';
        $strings['Approving'] = 'Te bevestigen';
        $strings['MoveToSchedule'] = 'Verplaats naar planning';
        $strings['DeleteResourceWarning'] = 'Deze bron verwijderen resulteert in het verwijderen van alle gelinkte informatie';
        $strings['DeleteResourceWarningReservations'] = 'alle gekoppelde afgelopen, huidige en toekomstige reserveringen';
        $strings['DeleteResourceWarningPermissions'] = 'alle gekoppelde toegangsrechten';
        $strings['DeleteResourceWarningReassign'] = 'Wijs alles wat niet verwijderd mag worden opnieuw toe voordat u verder gaat.';
        $strings['ScheduleLayout'] = 'Layout (alle tiiden %s)';
        $strings['ReservableTimeSlots'] = 'Reserveerbare tijdsslots';
        $strings['BlockedTimeSlots'] = 'Geblokkeerde tijdsslots';
        $strings['ThisIsTheDefaultSchedule'] = 'Dit is de standaard planning';
        $strings['DefaultScheduleCannotBeBroughtDown'] = 'De standaard planning kan niet omlaag gebracht worden';
        $strings['MakeDefault'] = 'Maak standaard';
        $strings['BringDown'] = 'Omlaag';
        $strings['ChangeLayout'] = 'Wijzig layout';
        $strings['AddSchedule'] = 'Voeg een planning toe';
        $strings['StartsOn'] = 'Begint op';
        $strings['NumberOfDaysVisible'] = 'Aantal zichtbare dagen';
        $strings['UseSameLayoutAs'] = 'Gebruik dezelfde layout als';
        $strings['Format'] = 'Formaat';
        $strings['OptionalLabel'] = 'Optionele label';
        $strings['LayoutInstructions'] = 'Voeg een slot toe per lijn. De volledige 24 uren van een dag moeten worden voorzien beginnend en eindigend om 12:00 AM.';
        $strings['AddUser'] = 'Gebruiker toevoegen';
        $strings['UserPermissionInfo'] = 'De concrete toegang tot de bronnen hangt af van uw rol, groepsrechten en externe toegangsrechten.';
        $strings['DeleteUserWarning'] = 'Wanneer u deze gebruiker verwijdert, worden alle reserveringen uit het verleden en toekomst gewist.';
        $strings['AddAnnouncement'] = 'Voeg een aankondiging toe';
        $strings['Announcement'] = 'Aankondiging';
        $strings['Priority'] = 'Prioriteit';
        $strings['Reservable'] = 'Te reserveren';
        $strings['Unreservable'] = 'Gesloten';
        $strings['Reserved'] = 'Gereserveerd';
        $strings['MyReservation'] = 'Mijn reservering';
        $strings['Pending'] = 'In wachtlijst';
        $strings['Past'] = 'Verleden';
        $strings['Restricted'] = 'Beperkt';
        $strings['ViewAll'] = 'Bekijk Alles';
        $strings['MoveResourcesAndReservations'] = 'Verplaats bronnen en reserveringen naar';
        $strings['TurnOffSubscription'] = 'Meld abonnement van kalender af';
        $strings['TurnOnSubscription'] = 'Sta abonnement op deze kalender toe';
        $strings['SubscribeToCalendar'] = 'Abonneer op deze kalender';
        $strings['SubscriptionsAreDisabled'] = 'De administrator heeft het abonneren op deze kalender geblokkeerd';
        $strings['NoResourceAdministratorLabel'] = '(Geen Bronnen Administrator)';
        $strings['WhoCanManageThisResource'] = 'Wie kan deze bron beheren?';
        $strings['ResourceAdministrator'] = 'Bron Administrator';
        $strings['Private'] = 'Privé';
        $strings['Accept'] = 'Accepteer';
        $strings['Decline'] = 'Weiger';
        $strings['ShowFullWeek'] = 'Laat hele week zien';
        $strings['CustomAttributes'] = 'Aangepaste attributen';
        $strings['AddAttribute'] = 'Voeg een attribuut toe';
        $strings['EditAttribute'] = 'Update een attribuut';
        $strings['DisplayLabel'] = 'Laat Label zien';
        $strings['Type'] = 'Type';
        $strings['Required'] = 'Verplicht';
        $strings['ValidationExpression'] = 'Validation Expression';
        $strings['PossibleValues'] = 'Mogelijke Possible Waarden';
        $strings['SingleLineTextbox'] = 'Tekstveld met elkele regel';
        $strings['MultiLineTextbox'] = 'Tekstveld met meerdere regels';
        $strings['Checkbox'] = 'Checkbox';
        $strings['SelectList'] = 'Selectie Lijst';
        $strings['CommaSeparated'] = 'komma gescheiden';
        $strings['Category'] = 'Categorie';
        $strings['CategoryReservation'] = 'Reservering';
        $strings['CategoryGroup'] = 'Groep';
        $strings['SortOrder'] = 'Sorteer Volgorde';
        $strings['Title'] = 'Titel';
        $strings['AdditionalAttributes'] = 'Extra attributen';
        $strings['True'] = 'Waar';
        $strings['False'] = 'Onwaar';
        $strings['ForgotPasswordEmailSent'] = 'Een e-mail is naar uw account gestuurd met de informatie om uw wachtwoord te resetten';
        $strings['ActivationEmailSent'] = 'U ontvangt binnekort een e-mail voor activatie.';
        $strings['AccountActivationError'] = 'Sorry, we hebben uw account niet kunnen activeren.';
        $strings['Attachments'] = 'Bijlage';
        $strings['AttachFile'] = 'Voeg bestand toe';
        $strings['Maximum'] = 'max';
        $strings['NoScheduleAdministratorLabel'] = 'Geen plannings administrator';
        $strings['ScheduleAdministrator'] = 'Plannings administrator';
        $strings['Total'] = 'Totaal';
        $strings['QuantityReserved'] = 'Aantal gereserveerd';
        $strings['AllAccessories'] = 'Alle benodigdheden';
        $strings['GetReport'] = 'Open Rapportage';
        $strings['NoResultsFound'] = 'Geen overeenkomende resultaten gevonden';
        $strings['SaveThisReport'] = 'Sla deze rapportage op';
        $strings['ReportSaved'] = 'Rapportage opgeslagen!';
        $strings['EmailReport'] = 'E-mail rapportage';
        $strings['ReportSent'] = 'Rapportage verzonden!';
        $strings['RunReport'] = 'Draai rapportage';
        $strings['NoSavedReports'] = 'Je hebt geen opgeslagen rapportages.';
        $strings['CurrentWeek'] = 'Huidige week';
        $strings['CurrentMonth'] = 'Huidige maand';
        $strings['AllTime'] = 'Alle tijd';
        $strings['FilterBy'] = 'Gefilter Op';
        $strings['Select'] = 'Selecteer';
        $strings['List'] = 'Lijst';
        $strings['TotalTime'] = 'Totale tijd';
        $strings['Count'] = 'Aantal';
        $strings['Usage'] = 'Gebruik';
        $strings['AggregateBy'] = 'Gesorteerd op';
        $strings['Range'] = 'Bereik';
        $strings['Choose'] = 'Kies';
        $strings['All'] = 'Alle';
        $strings['ViewAsChart'] = 'Bekijk als Grafiek';
        $strings['ReservedResources'] = 'Gereserveerde Bronnen';
        $strings['ReservedAccessories'] = 'Gereserveerde Benodigdheden';
        $strings['ResourceUsageTimeBooked'] = 'Bronnen gebruik - Tijd Geboekt';
        $strings['ResourceUsageReservationCount'] = 'Bronnen gebruik - Gereserveerd Aantal';
        $strings['Top20UsersTimeBooked'] = 'Top 20 Gebruikers - Tijd Geboekt';
        $strings['Top20UsersReservationCount'] = 'Top 20 Gebruikers - Gereserveerd Aantal';
        $strings['ConfigurationUpdated'] = 'Het configuratie bestand is ge-update';
        $strings['ConfigurationUiNotEnabled'] = 'Deze pagina kan niet worden geopend omdat $conf[\'settings\'][\'pages\'][\'enable.configuration\'] niet is geactiveerd of ontbreekt.';
        $strings['ConfigurationFileNotWritable'] = 'Het configuratie bestand is niet schrijfbaar. Controleer de permissies en probeer opnieuw.';
        $strings['ConfigurationUpdateHelp'] = 'Raadpleeg de sectie Configuratie van het <a target=_blank href=%s>Help Bestand</a> voor documentatie van deze instellingen.';
        $strings['GeneralConfigSettings'] = 'instellingen';
        $strings['UseSameLayoutForAllDays'] = 'Gebruik de zelfde layout voor alle dagen';
        $strings['LayoutVariesByDay'] = 'Layout varieert per dag';
        $strings['ManageReminders'] = 'Herinneringen';
        $strings['ReminderUser'] = 'Gebuikers ID';
        $strings['ReminderMessage'] = 'Bericht';
        $strings['ReminderAddress'] = 'Adres';
        $strings['ReminderSendtime'] = 'Tijd om te versturen';
        $strings['ReminderRefNumber'] = 'Reserverings Referentie Nummer';
        $strings['ReminderSendtimeDate'] = 'Datum van Herinnering';
        $strings['ReminderSendtimeTime'] = 'Tijd van Herinnering (HH:MM)';
        $strings['ReminderSendtimeAMPM'] = 'AM / PM';
        $strings['AddReminder'] = 'Voeg Herinnering Toe';
        $strings['DeleteReminderWarning'] = 'Weet je dit zeker?';
        $strings['NoReminders'] = 'Je hebt geen toekomstige herinneringen.';
        $strings['Reminders'] = 'Herinneringen';
        $strings['SendReminder'] = 'Verstuur Herinnering';
        $strings['minutes'] = 'minuten';
        $strings['hours'] = 'uren';
        $strings['days'] = 'dagen';
        $strings['ReminderBeforeStart'] = 'voor de starttijd';
        $strings['ReminderBeforeEnd'] = 'voor de eindtijd';
        $strings['Logo'] = 'Logo';
        $strings['CssFile'] = 'CSS bestand';
        $strings['ThemeUploadSuccess'] = 'Je veranderingen zijn opgeslagen. Vernieuw de pagina om wijzigingen door te voeren.';
        $strings['MakeDefaultSchedule'] = 'Maak dit mijn standaard planning';
        $strings['DefaultScheduleSet'] = 'Dit is nu jouw standaard planning';
        $strings['FlipSchedule'] = 'De plannings layout omdraaien';
        $strings['Next'] = 'Volgende';
        $strings['next'] = 'volgende';
        $strings['prev'] = 'vorige';
        $strings['Success'] = 'Succes';
        $strings['Participant'] = 'Deelnemer';
        $strings['ResourceFilter'] = 'Bron Filter';
        $strings['ResourceGroups'] = 'Bron Groepen';
        $strings['AddNewGroup'] = 'Voeg een nieuwe groep toe';
        $strings['MoreOptions'] = 'Meer opties';
        $strings['AnyResource'] = 'Alle Bronnen';
        $strings['Hours'] = 'Uren';
        $strings['Minutes'] = 'Minuten';
        $strings['SpecificTime'] = 'Specifieke tijd';
        $strings['AllResourceStatuses'] = 'Alle Bron statusen';
        $strings['MissedCheckin'] = 'Gemiste check-in';
        $strings['MissedCheckout'] = 'Gemiste check-out';
        $strings['IncludingCompletedReservations'] = 'Inclusief oude reserveringen';
        $strings['NotCountingCompletedReservations'] = 'Exclusief oude reserveringen';
        $strings['ThisScheduleUsesACustomLayout'] = 'Deze agenda gebruikt een aangepaste layout';
        $strings['ThisScheduleUsesAStandardLayout'] = 'Deze agenda gebruikt een standaard layout';
        $strings['SwitchToACustomLayout'] = 'Verander naar een aangepaste layout';
        $strings['AllDay'] = 'Gehele dag';
        $strings['Everyday'] = 'Elke dag';
        $strings['ResourceBufferTimeNone'] = 'Tussen reserveringen is geen buffer';
        $strings['DefaultScheduleCannotBeDeleted'] = 'Standaard planning kan niet verwijderd worden';
        $strings['AvailableAllYear'] = 'Gehele jaar';
        $strings['DisplayPage'] = 'Display pagina';
        $strings['AutomaticallyAddToGroup'] = 'Voeg gebruikers automatisch toe aan deze groep';
        $strings['ConcurrentNo'] = 'Bronnen kunnen niet door meerdere personen tegelijk gereserveerd worden';
        $strings['ConcurrentYes'] = 'Bronnen kunnen door meerdere personen tegelijk geresrveerd worden';
        $strings['QuotaEnforcement'] = 'Geforceerd %s %s';
        $strings['Quit'] = 'Beëindig';
        $strings['AddGroup'] = 'Voeg Groep Toe';
        $strings['StandardScheduleDisplay'] = 'Gebruik de standaard plannings weergaven';
        $strings['TallScheduleDisplay'] = 'Gebruik lange plannings weergaven';
        $strings['WideScheduleDisplay'] = 'Gebruik brede plannings weergaven';
        $strings['CondensedWeekScheduleDisplay'] = 'Gebruik geconcentreerde week plannings weergaven';
        $strings['ResourceGroupHelp1'] = 'Slepen naar Bron groepen om te reorganiseren.';
        $strings['ResourceGroupHelp2'] = 'Klik rechts op een bron groepsnaam voor extra acties.';
        $strings['ResourceGroupHelp3'] = 'Sleep naar Bron om toe te voegen aan de groepen.';
        $strings['ResourceGroupWarning'] = 'Als je bron groepen gebruikt zal elke bron toegewezen moeten worden aan minstens een groep. Bronnen die niet zijn toegewezen kunnen niet gereserveerd worden.';
        $strings['ResourceType'] = 'Bron Type';
        $strings['AppliesTo'] = 'Toepassen op';
        $strings['UniquePerInstance'] = 'Unieke Per Instantie';
        $strings['AddResourceType'] = 'Voeg Bron Type Toe';
        $strings['NoResourceTypeLabel'] = '(geen bron type geselecteerd)';
        $strings['ClearFilter'] = 'Reset Filter';
        $strings['MinimumCapacity'] = 'Minimale Capaciteit';
        $strings['Color'] = 'Kleur';
        $strings['AvailableUntil'] = 'Beschikbaar tot';
        $strings['Available'] = 'Beschikbaar';
        $strings['AvailableBeginningAt'] = 'Beschikbaar Vanaf';
        $strings['Unavailable'] = 'Niet beschikbaar';
        $strings['UnavailableAllDay'] = 'Gehele dag niet beschikbaar';
        $strings['Hidden'] = 'Verborgen';
        $strings['ResourceStatus'] = 'Bron Status';
        $strings['CurrentStatus'] = 'Huidige Status';
        $strings['AllReservationResources'] = 'Alle Reserverings Bronnen';
        $strings['File'] = 'Bestand';
        $strings['BulkResourceUpdate'] = 'Bulk Bron update';
        $strings['Unchanged'] = 'Ongewijzigd';
        $strings['Common'] = 'Algemeen';
        $strings['AdvancedFilter'] = 'Geavanceerde Filter';
        $strings['CaptchaInvalid'] = 'De captcha veiligheidscontrole is mislukt.';
        $strings['Week'] = 'Week';
        $strings['BeginDate'] = 'Begin';
        $strings['week'] = 'week';
        $strings['RepeatEveryPrompt'] = 'Iedere';
        $strings['CreateReservationHeading'] = 'Nieuwe Reservering';
        $strings['ReservationErrors'] = 'Verander de Reservering';
        $strings['Print'] = 'Afdrukken';
        $strings['Contact'] = 'Contact';
        $strings['ReservationsMustLastAtLeast'] = 'Reserveringen kunnen niet korter duren dan';
        $strings['ReservationsCannotLastMoreThan'] = 'Reserveringen kunnen niet langer duren dan';
        $strings['ResourceAdvanceNoticeCreate'] = 'kennisgeving voor nieuwe reserveringen';
        $strings['ResourceMinNoticeUpdate'] = 'Reserveringen moeten ten minste <strong>%s</strong> voor de begintijd worden bijgewerkt';
        $strings['ResourceAdvanceNoticeUpdate'] = 'kennisgeving voor updates van reserveringen';
        $strings['ResourceMinNoticeDelete'] = 'Reserveringen moeten ten minste <strong>%s</strong> voor de begintijd worden verwijderd';
        $strings['ResourceAdvanceNoticeDelete'] = 'kennisgeving voor verwijderde reservering';
        $strings['ResourceMaxNoticeEnd'] = 'kennisgeving limiet voor nieuwe reserveringen';
        $strings['ResourceBufferTime'] = 'Er moeten minstens <strong>%s</strong> zijn tussen reserveringen';
        $strings['BetweenReservationsThereMustBeAtLeast'] = 'Minimale tijd tussen reserveringen is';
        $strings['Reservations'] = 'Reserveringen';
        $strings['QuickSlotCreationTimes'] = 'Maak iedere %s minuten tijdsloten tussen';
        $strings['QuotaConfigurationInterval'] = 'Op %s voor %s gebruikers in %s zijn beperkt tot %s %s iedere %s %s';
        $strings['reservation'] = 'reservering';
        $strings['Status'] = 'Status';
        $strings['Reset'] = 'Opnieuw instellen';
        $strings['YouWillBeEmailedPasswordInstructions'] = 'Je ontvangt een e-mail met instructies voor het bijwerken van je wachtwoord';
        $strings['OK'] = 'OK';
        $strings['Login'] = 'Inloggen';
        $strings['ReservationRequiresApproval'] = 'Een of meer van de gereserveerde bronnen hebben goedkeuring nodig voor gebruik.  De reservering is pas gelding na goedkeuring.';
        $strings['Filter'] = 'Filter';
        $strings['BlackoutUpdated'] = 'Black-out Bijgewerkt';
        $strings['BlackoutNotUpdated'] = 'Black-out kon niet worden bijgewerkt';
        $strings['Browse'] = 'Bladeren';
        $strings['WhoCanManageThisSchedule'] = 'Wie kan dit rooster beheren?';
        $strings['Type'] = 'Type';
        $strings['ValidationExpression'] = 'Validatie Uitdrukking';
        $strings['Checkbox'] = 'Selectievakje';
        $strings['ResetPasswordEmailSent'] = 'Als dit e-mailadres bestaat, ontvangt u een e-mail met instructies voor het opnieuw instellen van uw wachtwoord. Dit verzoek verloopt in 30 minuten.';
        $strings['Maximum'] = 'max';
        $strings['TotalTime'] = 'Tijd';
        $strings['ReminderMessage'] = 'Bericht';
        $strings['ReminderSendtimeAMPM'] = 'AM / PM';
        $strings['minute'] = 'minuut';
        $strings['hour'] = 'uur';
        $strings['Logo'] = 'Logo';
        $strings['AdminOnly'] = 'Alleen Beheerder';
        $strings['MinimumQuantity'] = 'Minimale Hoeveelheid';
        $strings['MaximumQuantity'] = 'Maximale Hoeveelheid';
        $strings['LimitAttributeScope'] = 'Verzamel In Specifieke Gevallen';
        $strings['CollectFor'] = 'Verzamel Voor';
        $strings['OnlyCollectInCertainCases'] = 'Verzamel Alleen In Specifieke Gevallen';
        $strings['SignIn'] = 'Aanmelden';
        $strings['Dates'] = 'Datums';
        $strings['AvailableAt'] = 'Beschikbaar Op';
        $strings['AllowParticipantsToJoin'] = 'Sta Anderen Toe Deel Te Nemen';
        $strings['Join'] = 'Deelnemen';
        $strings['YouAreAParticipant'] = 'Je neemt deel aan deze reservering';
        $strings['YouAreInvited'] = 'Je bent voor deze reservation uitgenodigd';
        $strings['YouCanJoinThisReservation'] = 'Je kunt deelnemen aan deze reservering';
        $strings['GetTemplate'] = 'Sjabloon Ophalen';
        $strings['UserImportInstructions'] = '<ul><li>Het bestand moet in CSV-formaat zijn.</li><li>Gebruikersnaam en e-mail zijn verplichte velden.</li><li>De geldigheid van het kenmerk wordt niet bekrachtigd.</li><li>Niet invullen van andere velden zal standaard waarden instellen en \'wachtwoord\' als het wachtwoord van de gebruiker.</li><li>Gebruik het geleverde sjabloon als een voorbeeld.</li></ul>';
        $strings['RowsImported'] = 'Rijen Geïmporteerd';
        $strings['RowsSkipped'] = 'Rijen Overgeslagen';
        $strings['Columns'] = 'Kolommen';
        $strings['RetrySkipConflicts'] = 'Sla tegenstrijdige reserveringen over';
        $strings['Retry'] = 'Probeer opnieuw';
        $strings['RemoveExistingPermissions'] = 'Bestaande machtigingen verwijderen?';
        $strings['Continue'] = 'Doorgaan';
        $strings['WeNeedYourEmailAddress'] = 'We hebben uw e-mailadres nodig voor de reservering';
        $strings['ResourceColor'] = 'Kleur van de Bron';
        $strings['DateTime'] = 'Datum Tijd';
        $strings['AutoReleaseNotification'] = 'Automatisch vrijgegeven wanneer niet wordt ingecheckt binnen <strong>%s</strong> minuten';
        $strings['RequiresCheckInNotification'] = '<strong>Vereist</strong> check in/uit';
        $strings['RequiresApproval'] = 'Vereist Goedkeuring';
        $strings['CheckingIn'] = 'Inchecken';
        $strings['CheckingOut'] = 'Uitchecken';
        $strings['CheckIn'] = 'Check In';
        $strings['CheckOut'] = 'Check Uit';
        $strings['ReleasedIn'] = 'Vrijgegeven over';
        $strings['CheckedInSuccess'] = 'Je bent ingecheckt';
        $strings['CheckedOutSuccess'] = 'Je bent uitgecheckt';
        $strings['CheckInFailed'] = 'Je kon niet ingecheckt worden';
        $strings['CheckOutFailed'] = 'Je kon niet uitgecheckt worden';
        $strings['ShowSpecificDates'] = 'Toon Specifieke Datums';
        $strings['Guest'] = 'Gast';
        $strings['ResourceDisplayPrompt'] = 'Weer te geven Bron';
        $strings['Credits'] = 'Tegoeden';
        $strings['AvailableCredits'] = 'Beschikbare Tegoeden';
        $strings['CreditUsagePerSlot'] = 'Vereist %s tegoeden per tijdslot (buiten de piek)';
        $strings['PeakCreditUsagePerSlot'] = 'Vereist %s tegoeden per tijdslot (piek)';
        $strings['CreditsRule'] = 'Je hebt niet genoeg tegoeden. Vereiste tegoeden: %s. Tegoeden op uw rekening: %s';
        $strings['PeakTimes'] = 'Piek Tijden';
        $strings['AllYear'] = 'Gehele Jaar';
        $strings['SendAsEmail'] = 'Verzenden Als E-mail';
        $strings['UsersInGroups'] = 'Gebruikers In Groepen';
        $strings['UsersWithAccessToResources'] = 'Gebruikers Met Toegang Tot Bronnen';
        $strings['AnnouncementSubject'] = 'Een nieuwe aankondiging werd geplaatst door %s';
        $strings['AnnouncementEmailNotice'] = 'Gebruikers krijgen deze aankondiging als e-mail toegezonden';
        $strings['NotifyWhenAvailable'] = 'Houd mij op de hoogte wanneer beschikbaar';
        $strings['AddingToWaitlist'] = 'Je wordt toegevoegd aan de wachtlijst';
        $strings['WaitlistRequestAdded'] = 'Je krijgt bericht als deze tijd beschikbaar komt';
        $strings['PrintQRCode'] = 'QR-code Afdrukken';
        $strings['ImportICS'] = 'Importeren vanuit ICS';
        $strings['ImportQuartzy'] = 'Importeren vanuit Quartzy';
        $strings['OnlyIcs'] = 'Er kunnen alleen *.ics bestanden worden geüpload.';
        $strings['IcsLocationsAsResources'] = 'Locaties worden geïmporteerd als bronnen.';
        $strings['IcsMissingOrganizer'] = 'Van iedere gebeurtenis waarvan de organisator ontbreekt, zal de huidige gebruiker als eigenaar ingesteld worden.';
        $strings['IcsWarning'] = 'Regels van deze reservering zullen niet worden toegepast - mogelijke conflicten, duplicaten, etc.';
        $strings['BlackoutAroundConflicts'] = 'Black-out rond conflicterende reserveringen';
        $strings['DuplicateReservation'] = 'Duplicaat';
        $strings['UnavailableNow'] = 'Nu Niet Beschikbaar';
        $strings['ReserveLater'] = 'Reserveer Later';
        $strings['CollectedFor'] = 'Verzameld Voor';
        $strings['Deleted'] = 'Verwijderd';
        $strings['Back'] = 'Terug';
        $strings['Forward'] = 'Naar voren';
        $strings['Copy'] = 'Kopiëren';
        $strings['Detect'] = 'Detecteren';
        $strings['Autofill'] = 'Automatisch aanvullen';
        $strings['NameOrEmail'] = 'naam of e-mail';
        $strings['ImportResources'] = 'Importeer Bronnen';
        $strings['ExportResources'] = 'Exporteer Bronnen';
        $strings['ResourceImportInstructions'] = '<ul><li>Bestand moet in CSV-formaat zijn met UTF-8 codering.</li><li>Status opties zijn Beschikbaar, Niet Beschikbaar, of Verborgen.</li><li>Kleur moet worden gespecificeerd als hexadecimale waarde. bv.) #ffffff.</li><li>Meerdere bron-groepen of groeps-relaties scheiden met komma.</li><li>Tijdsduur moet worden gespecificeerd met het formaat #d#h#m (1d3h30m for 1 dag, 3 uur, 30 minuten).</li><li>Toepasbaarheid van tegoeden kan zijn \'per tijdslot\' of \'per reservering\'.</li><li>Exporteer de bronnen of gebruik de sjabloon als een voorbeeld.</li></ul>';
        $strings['ReservationImportInstructions'] = '<ul><li>Bestand moet in CSV-formaat zijn met UTF-8 codering.</li><li>E-mail, Bron-namen, Begin, en Einde zijn verplichte velden.</li><li>Begin en Einde vereisen volledige datum en tijd. Aanbevolen formaat is YYYY-mm-dd HH:mm (2017-12-31 20:30).</li><li>Regels, conflicten, en geldige tijdsloten worden niet gecontroleerd.</li><li>Kennisgevingen worden niet verzonden.</li><li>De geldigheid van het kenmerk wordt niet toegepast.</li><li>Meerdere bron-namen scheiden met komma.</li><li>Gebruik de geleverde sjabloon als een voorbeeld.</li></ul>';
        $strings['AutoReleaseMinutes'] = 'Automatische Vrijgave Minuten';
        $strings['CreditsPeak'] = 'Tegoeden (piek)';
        $strings['CreditsOffPeak'] = 'Tegoeden (buiten de piek)';
        $strings['ResourceMinLengthCsv'] = 'Reservering Minimum Lengte';
        $strings['ResourceMaxLengthCsv'] = 'Reservering Maximum Lengte';
        $strings['ResourceBufferTimeCsv'] = 'Buffertijd';
        $strings['ResourceMinNoticeAddCsv'] = 'Reservering Voeg Minimum Toe Kennisgeving';
        $strings['ResourceMinNoticeUpdateCsv'] = 'Reservering Update Minimum Kennisgeving';
        $strings['ResourceMinNoticeDeleteCsv'] = 'Reservering Verwijder Minimum Kennisgeving';
        $strings['ResourceMaxNoticeCsv'] = 'Reservering Maximum Einde';
        $strings['DeleteMultipleUserWarning'] = 'Verwijdering van deze gebruikers verwijdert al hun huidige, toekomstige, en historische reserveringen. Er worden geen e-mails verzonden.';
        $strings['DeleteMultipleReservationsWarning'] = 'Er worden geen e-mails verzonden.';
        $strings['ErrorMovingReservation'] = 'Fout Verplaatsing Reservering';
        $strings['InviteUsersLabel'] = 'Voer de e-mailadressen in van de mensen die uitgenodigd moeten worden (één per regel)';
        $strings['ApplyToCurrentUsers'] = 'Pas toe op huidige gebruikers';
        $strings['ReasonText'] = 'Reden tekst';
        $strings['NoAvailableMatchingTimes'] = 'Er zijn geen beschikbare tijden die voldoen aan uw zoek-criteria';
        $strings['NotifyUser'] = 'Informeer Gebruiker';
        $strings['UpdateUsersOnImport'] = 'Update bestaande gebruiker als e-mail al bestaat';
        $strings['UpdateResourcesOnImport'] = 'Update bestaande bronnen als naam al bestaat';
        $strings['Reject'] = 'Weiger';
        $strings['CheckingAvailability'] = 'Beschikbaarheid Controleren';
        $strings['CreditPurchaseNotEnabled'] = 'Je hebt de mogelijkheid om tegoeden aan te schaffen niet ingeschakeld';
        $strings['CreditsCost'] = 'Ieder tegoed kost';
        $strings['Currency'] = 'Munteenheid';
        $strings['PayPalClientId'] = 'Cliënt ID';
        $strings['PayPalSecret'] = 'Geheim';
        $strings['PayPalEnvironment'] = 'Omgeving';
        $strings['Sandbox'] = 'Sandbox';
        $strings['Live'] = 'Live';
        $strings['StripePublishableKey'] = 'Publiceerbare sleutel';
        $strings['StripeSecretKey'] = 'Geheime sleutel';
        $strings['CreditsUpdated'] = 'Kosten tegoeden zijn bijgewerkt';
        $strings['GatewaysUpdated'] = 'Betaling Gateways zijn bijgewerkt';
        $strings['PurchaseSummary'] = 'Overzicht Aankopen';
        $strings['EachCreditCosts'] = 'Ieder tegoed kost';
        $strings['Checkout'] = 'Uitckecken';
        $strings['Quantity'] = 'Kwantiteit';
        $strings['CreditPurchase'] = 'Tegoed Aankoop';
        $strings['EmptyCart'] = 'Uw winkelwagen is leeg.';
        $strings['BuyCredits'] = 'Koop Tegoeden';
        $strings['CreditsPurchased'] = 'Tegoeden aangeschaft.';
        $strings['ViewYourCredits'] = 'Bekijk uw tegoeden';
        $strings['TryAgain'] = 'Opnieuw proberen';
        $strings['PurchaseFailed'] = 'Er waren moeilijkheden met het verwerken van uw betaling.';
        $strings['NoteCreditsPurchased'] = 'Aangeschafte tegoeden';
        $strings['CreditsUpdatedLog'] = 'Tegoeden bijgewerkt door %s';
        $strings['ReservationCreatedLog'] = 'Reservering gemaakt. Referentie nummer %s';
        $strings['ReservationUpdatedLog'] = 'Reservering bijgewerkt. Referentie nummer %s';
        $strings['ReservationDeletedLog'] = 'Reservering verwijderd. Referentie nummer %s';
        $strings['BuyMoreCredits'] = 'Koop Meer Tegoeden';
        $strings['Transactions'] = 'Transacties';
        $strings['Cost'] = 'Kosten';
        $strings['PaymentGateways'] = 'Betaling Gateways';
        $strings['CreditHistory'] = 'Tegoeden Geschiedenis';
        $strings['TransactionHistory'] = 'Transactie Geschiedenis';
        $strings['Date'] = 'Datum';
        $strings['Note'] = 'Aantekening';
        $strings['CreditsBefore'] = 'Tegoeden Voor';
        $strings['CreditsAfter'] = 'Tegoeden Na';
        $strings['TransactionFee'] = 'Transactiekosten';
        $strings['InvoiceNumber'] = 'Factuurnummer';
        $strings['TransactionId'] = 'Transactie ID';
        $strings['Gateway'] = 'Gateway';
        $strings['GatewayTransactionDate'] = 'Gateway Transactie Datum';
        $strings['Refund'] = 'Terugbetaling';
        $strings['IssueRefund'] = 'Uitgave Terugbetaling';
        $strings['RefundIssued'] = 'Terugbetaling Succesvol';
        $strings['RefundAmount'] = 'Bedrag Terugbetaling';
        $strings['AmountRefunded'] = 'Terugbetaald';
        $strings['FullyRefunded'] = 'Volledig Terugbetaald';
        $strings['YourCredits'] = 'Je Tegoeden';
        $strings['PayWithCard'] = 'Betaal met Card';
        $strings['or'] = 'of';
        $strings['CreditsRequired'] = 'Tegoeden nodig';
        $strings['AddToGoogleCalendar'] = 'Voeg toe aan Google';
        $strings['Image'] = 'Afbeelding';
        $strings['ChooseOrDropFile'] = 'Kies een bestand of sleep hierheen';
        $strings['SlackBookResource'] = 'Reserveer %s nu';
        $strings['SlackBookNow'] = 'Reserveer Nu';
        $strings['SlackNotFound'] = 'We konden geen bron vinden met die naam. Boek Nu om een nieuwe reservering te starten.';
        $strings['GroupAutomaticallyAdd'] = 'Voeg Automatisch Toe';
        $strings['TermsOfService'] = 'Servicevoorwaarden';
        $strings['EnterTermsManually'] = 'Voer Voorwaarden Handmatig In';
        $strings['LinkToTerms'] = 'Link naar Voorwaarden';
        $strings['UploadTerms'] = 'Upload Voorwaarden';
        $strings['RequireTermsOfServiceAcknowledgement'] = 'Bevestiging van Servicevoorwaarden Verplicht';
        $strings['UponReservation'] = 'Bij Reservering';
        $strings['UponRegistration'] = 'Bij Registratie';
        $strings['ViewTerms'] = 'Bekijk Servicevoorwaarden';
        $strings['IAccept'] = 'Ik Aanvaard';
        $strings['TheTermsOfService'] = 'de Servicevoorwaarden';
        $strings['AvailableAllYear'] = 'Het Gehele Jaar';
        $strings['Availability'] = 'Beschikbaarheid';
        $strings['AvailableBetween'] = 'Beschikbaar Tussen';
        $strings['ScheduleAvailabilityEarly'] = 'Dit rooster is nog niet beschikbaar. Het is beschikbaar';
        $strings['ScheduleAvailabilityLate'] = 'Dit rooster is niet langer beschikbaar. Het was beschikbaar';
        $strings['ResourceImages'] = 'Bron-afbeeldingen';
        $strings['FullAccess'] = 'Volledige Toegang';
        $strings['ViewOnly'] = 'Alleen Bekijken';
        $strings['Purge'] = 'Opschonen';
        $strings['UsersWillBeDeleted'] = 'gebruikers worden verwijderd';
        $strings['BlackoutsWillBeDeleted'] = 'tijden black-out worden verwijderd';
        $strings['ReservationsWillBePurged'] = 'reserveringen worden opgeschoond';
        $strings['ReservationsWillBeDeleted'] = 'reserveringen worden verwijderd';
        $strings['PermanentlyDeleteUsers'] = 'Verwijder gebruikers permanent die niet hebben ingelogd sinds';
        $strings['DeleteBlackoutsBefore'] = 'Verwijder black-out tijden voor';
        $strings['DeletedReservations'] = 'Verwijderde Reserveringen';
        $strings['DeleteReservationsBefore'] = 'Verwijder reserveringen voor';
        $strings['SwitchToAStandardLayout'] = 'Schakel over op tijdsloten met vaste lay-out';
        $strings['SwitchLayoutWarning'] = 'Weet je zeker dat je het lay-out type wil wijzigen? Dit zal alle bestaande tijdsloten verwijderen.';
        $strings['DeleteThisTimeSlot'] = 'Dit tijdslot verwijderen?';
        $strings['Refresh'] = 'Ververs';
        $strings['ViewReservation'] = 'Bekijk Reservering';
        $strings['PublicId'] = 'Openbare ID';
        $strings['Public'] = 'Openbaar';
        $strings['AtomFeedTitle'] = '%s Reserveringen';
        $strings['DefaultStyle'] = 'Standaard Stijl';
        $strings['Standard'] = 'Standaard';
        $strings['StandardView'] = 'Standaard Weergave';
        $strings['WideView'] = 'Brede Weergave';
        $strings['TallView'] = 'Grote Weergave';
        $strings['WeekView'] = 'Week Weergave';
        $strings['EmailTemplate'] = 'E-mail Sjabloon';
        $strings['SelectEmailTemplate'] = 'Selecteer E-mail Sjabloon';
        $strings['ReloadOriginalContents'] = 'Laad Originele Inhoud Opnieuw';
        $strings['UpdateEmailTemplateSuccess'] = 'E-mail sjabloon bijgewerkt';
        $strings['UpdateEmailTemplateFailure'] = 'Kon het e-mail sjabloon niet bijwerken. Controleer of de map beschrijfbaar is.';
        $strings['BulkResourceDelete'] = 'Verwijder Bronnen Bulksgewijs';
        $strings['NewVersion'] = 'Nieuwe versie!';
        $strings['WhatsNew'] = 'Wat is er nieuw?';
        $strings['OnlyViewedCalendar'] = 'Dit rooster kan alleen ingezien worden vanuit de kalender weergave';
        $strings['Grid'] = 'Raster';
        $strings['NoReservationsFound'] = 'Geen Reserveringen Gevonden';
        $strings['EmailReservation'] = 'E-mail Reservering';
        $strings['AdHocMeeting'] = 'Ad hoc Vergadering';
        $strings['NextReservation'] = 'Volgende Reservering';
        $strings['NotAttending'] = 'Niet Aanwezig';
        $strings['ReservationDetails'] = 'Details Reservering';
        $strings['StartTime'] = 'Begin Tijd';
        $strings['EndTime'] = 'Eind Tijd';
        $strings['New'] = 'Nieuw';
        $strings['Updated'] = 'Bijgewerkt';
        $strings['Custom'] = 'Aangepast';
        $strings['AddDate'] = 'Voeg Datum Toe';
        $strings['RepeatOn'] = 'Herhaal Op';
        $strings['ScheduleConcurrentMaximum'] = 'Er kunnen in totaal <b>%s</b> bronnen gelijktijdig gereserveerd worden';
        $strings['ScheduleConcurrentMaximumNone'] = 'Er zit geen limiet op het aantal gelijktijdig gereserveerde bronnen';
        $strings['ScheduleMaximumConcurrent'] = 'Maximum aantal bronnen dat gelijktijdig gereserveerd kan worden';
        $strings['ScheduleMaximumConcurrentNote'] = 'Na het instellen zal het totale aantal bronnen dat gelijktijdig gereserveerd kan worden beperkt zijn.';
        $strings['ScheduleResourcesPerReservationMaximum'] = 'Elke reservering is beperkt tot een maximum van <b>%s</b> bronnen';
        $strings['ScheduleResourcesPerReservationNone'] = 'Er is geen limiet op het aantal bronnen per reservering';
        $strings['ScheduleResourcesPerReservation'] = 'Maximum aantal bronnen per reservering';
        $strings['ResourceConcurrentReservations'] = 'Sta %s gelijktijdige reserveringen toe';
        $strings['AllowConcurrentReservations'] = 'Sta %s gelijktijdige reserveringen toe';
        $strings['ResourceConcurrentReservationsNone'] = 'Sta <strong>geen</strong> gelijktijdige reserveringen toe';
        $strings['AllowConcurrentReservationsLabel'] = 'Sta <strong>wel</strong> gelijktijdige reserveringen toe';
        $strings['ResourceDisplayInstructions'] = 'Er is geen bron geselecteerd. Je kunt de URL om een bron weer te geven vinden in Applicatiebeheer, Bronnen. De bron moet openbaar toegankelijk zijn.';
        $strings['Owner'] = 'Eigenaar';
        $strings['MaximumConcurrentReservations'] = 'Maximum Gelijktijdige Reserveringen';
        $strings['NotifyUsers'] = 'Stel Gebruikers op de Hoogte';
        $strings['Message'] = 'Bericht';
        $strings['AllUsersWhoHaveAReservationInTheNext'] = 'Iedereen met een reservering in de komende';
        $strings['ChangeResourceStatus'] = 'Verander de Bronstatus';
        $strings['UpdateGroupsOnImport'] = 'Werk de bestaande groep bij als de naam overeenkomt';
        $strings['GroupsImportInstructions'] = '<ul><li>Het bestand moet in CSV-formaat zijn.</li><li>Naam is verplicht.</li><li>Lijst van leden moet een lijst zijn van door een komma gescheiden e-mailadressen.</li><li>Lege ledenlijsten zullen - wanneer groepen bijgewerkt worden -  leden onveranderd laten.</li><li>Machtigingslijsten moeten lijsten met door een komma gescheiden bronnamen zijn.</li><li>Lege machtigingslijsten laten - wanneer groepen bijgewerkt worden - machtigingen ongewijzigd.</li><li>Gebruik de geleverde sjabloon als een voorbeeld.</li></ul>';
        $strings['PhoneRequired'] = 'Telefoonnummer is vereist';
        $strings['OrganizationRequired'] = 'Organisatie is vereist';
        $strings['PositionRequired'] = 'Positie is vereist';
        $strings['GroupMembership'] = 'Groep Lidmaatschap';
        $strings['AvailableGroups'] = 'Beschikbare Groepen';
        $strings['CheckingAvailabilityError'] = 'Kan geen bron-beschikbaarheid krijgen - te veel bronnen';
        $strings['ApiOnly'] = 'Alleen API Toegang';
        $strings['ApiOnlyDetails'] = 'Deze gebruiker kan alleen inloggen via de API';
        $strings['PerReservation'] = 'per reservering';
        $strings['PerSlot'] = 'per tijdslot';
        $strings['CreditsCalculated'] = 'Berekende Tegoeden';
        $strings['CreditsApplied'] = 'Toepasbaarheid Tegoeden';
        $strings['CreditsChargedBlockedSlots'] = 'Tegoeden worden berekend voor geblokte tijdsloten';
        $strings['AllowReservationsToEndInBlockedSlots'] = 'Sta toe dat reserveringen eindigen in geblokte tijdsloten';
        $strings['ReservationsMustEndInAvailableSlots'] = 'Reserveringen moeten eindigen in beschikbare tijdsloten';
        $strings['Currently'] = 'Momenteel';
        $strings['ResourceDisplay'] = 'Bronweergave';
        $strings['CopyToClipboard'] = 'Naar klembord kopiëren';
        $strings['CopyEmbedCode'] = 'Kopieer de insluitcode naar het klembord';
        $strings['CopyRssLink'] = 'Kopieer de RSS-link naar het klembord';
        $strings['CopyICalLink'] = 'Kopieer de iCalendar-link naar het klembord';
        $strings['CopyToResourceDisplay'] = 'Kopieer de bronweergave-link naar het klembord';
        $strings['CopiedToClipboard'] = 'Naar het klembord gekopieerd';
        $strings['UseDefaultLabel'] = 'Gebruik standaardlabel';
        $strings['SlotLabel'] = 'Tijdslot Label';
        $strings['ResourceRelationships'] = 'Bronrelaties';
        $strings['MustBeBookedWith'] = 'Moet Geboekt Worden Met (Twee Richtingen)';
        $strings['CannotBeBookedWith'] = 'Kan Niet Geboekt Worden Met';
        $strings['CannotBeBookedAtSameTime'] = 'Kan Niet op dezelfde Tijd Geboekt Worden';
        $strings['UpdateAndSend'] = 'Update en Verzend Kennisgeving';
        $strings['ResourceImageInstructions'] = 'Tot 10 afbeeldingen zijn toegestaan (%sMB elk). Alleen jpg, gif, png of svg. Versleep om te rangschikken.';
        $strings['ViewFullSizeImage'] = 'Bekijk Afbeelding op Ware Grootte';
        $strings['Default'] = 'Standaard';
        $strings['DisplayInformation'] = 'Informatie Weergeven';
        $strings['ResourceInformation'] = 'Bron-informatie';
        $strings['CopyId'] = 'Kopieer ID naar klembord';
        $strings['PublicAccess'] = 'Publieke Toegang';
        $strings['AllowPublicAccess'] = 'Sta Publieke Toegang Toe';
        $strings['AddAllUsers'] = 'Alle Gebruikers Toevoegen';
        $strings['ChangeAllAccess'] = 'Alle Gebruikers Wijzigen';
        $strings['ChangeAllGroupAccess'] = 'Alle Groepen Wijzigen';
        $strings['View'] = 'Bekijk';
        $strings['NoUsersHavePermission'] = 'Er Zijn Geen Gebruikers Met Machtigingen';
        $strings['RemoveAllPermissions'] = 'Verwijder alle Machtigingen';
        $strings['RemovePermissions'] = 'Verwijder Machtigingen';
        $strings['InheritPermissions'] = 'Machtigingen Verwijderen en Overnemen';
        $strings['ChangeUserAndGroupPermissions'] = 'Wijzig Machtigingen van Gebruiker en Groep';
        $strings['DateFilter'] = 'Datum Filter';
        $strings['Equals'] = 'Gelijk Aan';
        $strings['GreaterThan'] = 'Groter Dan';
        $strings['LessThan'] = 'Minder Dan';
        $strings['HasNoValue'] = 'Heeft Geen Waarde';
        $strings['NoResourcesInstructions'] = 'Je hebt geen enkele bron. Klik op Bron Toevoegen hierboven om een nieuwe bron toe te voegen.<br/><br/>Je kunt <a href=\'{{resourceLink}}\'>hier</a> meer leren over bronnen in Booked.<br/><br/>Nieuw bij Booked? Lees onze <a href=\'{{gettingStartedLink}}\'>Getting Started Guide</a>';
        $strings['AddMoreResources'] = 'Voeg Meer Bronnen Toe';
        $strings['AddMoreResourcesInfo'] = 'Blijf op deze bladzijde nadat een bron is toegevoegd';
        $strings['ResourceNameRequired'] = 'Bron-naam is verplicht.';
        $strings['ResourceSuccessfullyAdded'] = '{{resourceName}} toegevoegd.';
        $strings['ViewAsList'] = 'Bekijk als Lijst';
        $strings['ViewDetails'] = 'Bekijk Details';
        $strings['DeleteItemModalTitle'] = '{{itemName}} verwijderen?';
        $strings['Expand'] = 'Uitklappen';
        $strings['Collapse'] = 'Inklappen';
        $strings['DeleteMultiple'] = 'Verwijder Meerdere';
        $strings['DeleteMultipleModalTitle'] = 'Verwijder Meerdere ({{count}})?';
        $strings['DeleteMultipleResourcesWarning'] = 'Dit zal alle bronnen die overeenkomen met je huidige filter verwijderen, inclusief';
        $strings['ExportAllResources'] = 'Exporteer Alle Bronnen';
        $strings['ExportFilteredResources'] = 'Exporteer Gefilterde Bronnen';
        $strings['ExportResourceInstructions'] = 'Download een CSV-bestand met bron-informatie. De geëxporteerde data kan opnieuw geïmporteerd worden voor bulk-wijzigingen.';
        $strings['ImportResourcesConfirm'] = 'Importeer {{count}} Bronnen';
        $strings['NoResourceGroups'] = 'Er zijn geen bron-groepen';
        $strings['ShareCalendar'] = 'Agenda Delen';
        $strings['DoNotShareCalendar'] = 'Agenda Niet Delen';
        $strings['BackToMainCalendar'] = 'Terug naar Hoofd Agenda';
        $strings['ReservationsFound'] = '%s Reserveringen Gevonden';
        $strings['DeleteAll'] = 'Alles Verwijderen';
        $strings['CopyResource'] = 'Kopieer Bron';
        $strings['TermsAcceptedOn'] = 'geaccepteerd op {{acceptDate}}';
        $strings['DateOfMonth'] = 'Datum van Maand';
        $strings['WeekOfMonth'] = 'Week van Maand';
        $strings['Rules'] = 'Regels';
        $strings['ReservationMustBeBookedTogether'] = 'Deze bronnen moeten samen geboekt worden';
        $strings['ReservationRequiredResourceNoPermission'] = 'Je hebt geen machtiging voor sommige van de vereiste bronnen';
        $strings['AddRequiredResources'] = 'Voeg Vereiste Bronnen Toe';
        $strings['AddNewMonitorView'] = 'Monitorweergave Toevoegen';
        $strings['UpdateMonitorView'] = 'Update Monitorweergave';
        $strings['DeleteMonitorView'] = 'Verwijder Monitorweergave';
        $strings['DeleteMonitorViewPrompt'] = 'Weet je zeker dat je <strong>{{viewName}}</strong> wilt verwijderen?';
        $strings['ReservationsToShow'] = 'Te Tonen Reserveringen';
        $strings['ASetNumberOfUpcomingReservations'] = 'Een vast aantal van aankomende reserveringen';
        $strings['AllReservationsWithinADateRange'] = 'Alle reserveringen binnen een datumbereik';
        $strings['ASpecificSetOfReservations'] = 'Een specifieke set reserveringen';
        $strings['UpcomingDaysToShow'] = 'Te Tonen Aankomende Dagen';
        $strings['UpcomingReservationsToShow'] = 'Te Tonen Aankomende Reserveringen';
        $strings['DisplayOptions'] = 'Weergave Opties';
        $strings['Style'] = 'Stijl';
        $strings['ScrollInterval'] = 'Scrol Interval (seconden)';
        $strings['ShowReservations'] = 'Toon Reserveringen';
        $strings['ShowLogo'] = 'Toon Logo';
        $strings['ShowDateAndTime'] = 'Toon Datum en Tijd';
        $strings['HideAvailability'] = 'Verberg Beschikbaarheid';
        $strings['Invited'] = 'Uitgenodigd';
        $strings['SelectUserOrAddGuest'] = 'Selecteer een gebruiker of voeg een gast toe per e-mail';
        $strings['ReservationUploadInstructions'] = 'Upload bestanden van type %s tot %s';
        $strings['UploadFiles'] = 'Sleep bestanden hierheen of klik om bestanden te uploaden';
        $strings['RetryReservationNotice'] = 'Je kunt deze reservering opnieuw proberen, door conflicterende datums over te slaan.';
        $strings['JoinWaitlistReservationNotice'] = 'Je kunt intekenen voor een wachtlijst om geïnformeerd te worden als deze tijd beschikbaar komt.';
        $strings['NewReservation'] = 'Nieuwe Reservering';
        $strings['ChangeReservation'] = 'Wijzig Reservering';
        $strings['UpdateRecurringTitle'] = 'Reservering Bijwerken';
        $strings['ParticipantRecurringNotice'] = 'Deze reservering is deel van een terugkerende serie.';
        $strings['UpdateRecurringNotice'] = 'Deze reservering is deel van een terugkerende serie. Welke onderdelen van de serie wil je bijwerken?';
        $strings['DeleteReservationModalTitle'] = 'Delete Reservation';
        $strings['DeleteRecurringNotice'] = 'Deze reservering is deel van een terugkerende serie. Welke onderdelen van de serie wil je verwijderen?';
        $strings['RequiresApprovalNotice'] = 'Deze reservering vereist je goedkeuring.';
        $strings['AcceptInvitation'] = 'Uitnodiging Accepteren';
        $strings['DeclineInvitation'] = 'Uitnodiging Weigeren';
        $strings['YouAreAlreadyParticipating'] = 'Je neemt al deel aan deze reservering';
        $strings['JoinAsGuestNotice'] = 'Om als gast deel te nemen aan deze reservering, is een e-mailadres vereist';
        $strings['CancelThisInstance'] = 'Dit Onderdeel Annuleren';
        $strings['CancelSeries'] = 'Serie Annuleren';
        $strings['DeclineThisInstance'] = 'Weiger Dit Onderdeel';
        $strings['DeclineSeries'] = 'Serie Weigeren';
        $strings['AcceptThisInstance'] = 'Dit Onderdeel Accepteren';
        $strings['AcceptSeries'] = 'Serie Accepteren';
        $strings['JoinThisInstance'] = 'Deelnemen aan dit Onderdeel';
        $strings['JoinSeries'] = 'Deelnemen aan deze Serie';
        $strings['MultipleEmailInstructions'] = 'Je kunt meerdere e-mailadressen toevoegen, gescheiden door een spatie of komma';
        $strings['SendReservationAsEmail'] = 'Verstuur E-mail ({{count}})';
        $strings['WithSpecificAttributeValues'] = 'Met specifieke eigenschap waarden';
        $strings['ReferenceNumbers'] = 'Referentienummers';
        $strings['Value'] = 'Waarde';
        $strings['Ascending'] = 'Oplopend';
        $strings['Descending'] = 'Aflopend';
        $strings['SortDirection'] = 'Richting';
        $strings['SortBy'] = 'Sorteer Op';
        $strings['LoadingCreditHistory'] = 'Geschiedenis Tegoeden Laden';
        $strings['HeadingText'] = 'Koptekst';
        $strings['StartTimeIsInPast'] = 'De begintijd is in het verleden';
        $strings['GroupCredits'] = 'Tegoeden';
        $strings['Replenish'] = 'Aanvullen';
        $strings['AddCredits'] = 'Tegoeden Toevoegen';
        $strings['ReplenishCredits'] = 'Tegoeden Aanvullen';
        $strings['AddCreditsEveryDays'] = 'Voeg %s tegoeden toe iedere %s dagen';
        $strings['AddCreditsDayOfMonth'] = 'Voeg %s tegoeden toe op dag %s van elke maand';
        $strings['AutomaticallyAddCredits'] = 'Voeg automatisch tegoeden toe voor alle gebruikers in deze groep';
        $strings['AddCreditsToGroup'] = 'Voeg tegoeden toe voor alle gebruikers in deze groep';
        $strings['AddNumberCreditsToGroup'] = 'Voeg %s tegoeden toe aan alle gebruikers in deze groep';
        $strings['CreditsAddedByAdminNote'] = 'Tegoeden toegevoegd door beheerder';
        $strings['AutoReplenishCreditsNote'] = 'Tegoeden automatisch aangevuld';
        $strings['Never'] = 'Nooit';
        $strings['LastReplenished'] = 'Voor het Laatst Aangevuld';
        $strings['ReservationsAutomaticallyExtended'] = 'Reserveringen worden automatisch verlengd als de eigenaar niet uit checkt';
        $strings['ReservationsNotAutomaticallyExtended'] = 'Reserveringen eindigen als de eigenaar niet uit checkt';
        $strings['PasswordResetForced'] = 'Je moet je wachtwoord bijwerken';
        $strings['ForceChangePassword'] = 'Dwing bij de volgende keer dat hij inlogt de gebruiker om zijn wachtwoord te wijzigen';
        $strings['NotifyUserPasswordChange'] = 'Stuur een e-mail naar de gebruiker met het nieuwe wachtwoord';
        $strings['NoScheduleAdminGroupsDefined'] = 'Er zijn geen beheerdersgroepen van het schema gedefinieerd';
        $strings['SecurityCheck'] = 'Veiligheidscontrole';
        $strings['SecurityCheckInstructions'] = 'Voor je veiligheid moeten we je account bevestigen. Voer de eenmalige toegangscode in die is verzonden naar %s';
        $strings['OneTimePassCode'] = 'Eenmalige Toegangscode';
        $strings['ConfirmOTP'] = 'Bevestig de Toegangscode';
        $strings['ResendCode'] = 'Verstuur Nieuwe Toegangscode';
        $strings['InvalidOtp'] = 'De toegangscode is onjuist of verlopen. Probeer nogmaals of vraag een nieuwe eenmalige toegangscode aan.';
        $strings['OtpResendMessage'] = 'We hebben je een nieuwe eenmalige toegangscode toegestuurd. Deze code verloopt in 10 minuten.';
        $strings['ResetPasswordInstructions'] = 'Geef een nieuw wachtwoord op';
        $strings['ResendResetPassword'] = 'Reset-link opnieuw verzenden';
        $strings['ResetPasswordError'] = 'Ongeldige reset wachtwoord-link. Reset wachtwoord-links zijn slechts %s minuten geldig.';
        $strings['SendResetLink'] = 'Verstuur Reset-link';
        $strings['ConfirmResetPassword'] = 'Je wachtwaard is bijgewerkt. Log in met je nieuwe wachtwoord.';
        $strings['TransferReservationOwnership'] = 'Eigendom overdragen';
        $strings['TransferTo'] = 'Eigendom overdragen aan';
        $strings['FutureReservations'] = 'Toekomstige Reserveringen';
        $strings['TransferOwnershipDeleteWarning'] = 'Je kunt reserverings-eigendom overdragen om deze reserveringen te behouden.';
        $strings['TransferReservationOwnershipNote'] = 'Reserverings-eigendom overdragen aan een andere persoon.';
        $strings['AddFavoriteResource'] = 'Voeg Favoriete Bron Toe';
        $strings['RemoveFavoriteResource'] = 'Favoriete Bron Verwijderen';
        $strings['ReservationsCheckinLimitedToAdmin'] = 'Enkel beheerders kunnen in- of uitchecken';
        $strings['ReservationDeleted'] = 'Je reservering is verwijderd';
        $strings['PermissionLevel'] = 'Niveau';
        $strings['Inherit'] = 'Overnemen';
        $strings['NoGroupsHavePermission'] = 'Geen enkele groep heeft toestemming';
        $strings['AddAllGroups'] = 'Alle Groepen Toevoegen';
        $strings['NoColor'] = 'Geen Kleur';
        $strings['UseDefault'] = 'Gebruik Standaard';
        $strings['MobileView'] = 'Mobiele Weergave';
        $strings['BetweenAnyTimes'] = 'Tussen Alle Tijden';
        $strings['DeletingReservation'] = 'Reservering Verwijderen';
        $strings['ResourceAdminRequired'] = 'Bron-beheerder is vereist.';
        $strings['ResourceTypes'] = 'Brontypen';
        $strings['Enabled'] = 'Ingeschakeld';
        $strings['CheckAvailability'] = 'Controleer Beschikbaarheid';
        $strings['ManageAvailableAppointments'] = 'Beheer Beschikbare Afspraken';
        $strings['AddAvailableAppointmentTime'] = 'Beschikbare Afspraaktijd Toevoegen';
        $strings['OnlyApplicableAccessories'] = 'Toon alleen accessoires die geboekt kunnen worden met mijn geselecteerde bronnen';
        $strings['SelectThisAppointment'] = 'Selecteer deze afspraaktijd';
        $strings['AppointmentTime'] = 'Afspraaktijd';
        $strings['NoAvailableAppointments'] = 'Er zijn geen beschikbare afspraken voor de geselecteerde datum. Kies een andere datum.';
        $strings['NoAppointmentsOnDay'] = 'Geen Afspraken';
        $strings['BackDays'] = 'Laatste %s dagen';
        $strings['ForwardDays'] = 'Volgende %s dagen';
        $strings['LastWeek'] = 'Laatste Week';
        $strings['ShowMultiResourceGrouped'] = 'Toon reservering van meerdere bronnen als één gebeurtenis';
        $strings['MinimumParticipants'] = 'Minimale Deelnemers';
        $strings['NoMinimum'] = 'Geen Minimum';
        $strings['PrintReservations'] = 'Reserveringen Afdrukken';
        $strings['Time'] = 'Tijd';
        $strings['YourAccountWasCreatedOn'] = 'Je account werd op %s aangemaakt';
        $strings['MissedCheckinTimeWarning'] = 'Van deze reservering ontbreekt de inchecktijd';
        $strings['MissedCheckoutTimeWarning'] = 'Van deze reservering ontbreekt de uitchecktijd';
        $strings['CheckedIn'] = 'Ingecheckt';
        $strings['CheckedOut'] = 'Uitgecheckt';
        $strings['SelectUserOrGroup'] = 'Selecteer gebruiker of groep';
        $strings['NoGroupsAssigned'] = '- Geen Groepen Toegewezen -';
        $strings['CurrentlyFilteredResources'] = 'Momenteel Gefilterde Bronnen (%s)';
        $strings['AllResourcesWithCount'] = 'Alle Bronnen (%s)';
        $strings['Section'] = 'Sectie';
        $strings['BulkUpdateWarning'] = 'Het wordt aanbevolen om een back-up van je bronnen te maken voordat een bulk-update wordt uitgevoerd';
        $strings['DuplicateResourceImportWarning'] = 'Er zijn duplicaten van bronnamen gevonden. Als je de bestaande bronnen wilt updaten, vink hieronder de update-box aan.';
        $strings['EventsPerPage'] = 'Gebeurtenissen per bladzij';
        $strings['ScheduleReport'] = 'Schema Bezorging';
        $strings['ChangeSchedule'] = 'Wijzig Schema';
        $strings['Frequency'] = 'Frequentie';
        $strings['SendTo'] = 'Verzend Aan';
        $strings['ScheduleReportOnThe'] = 'Op de';
        $strings['ScheduleReportDayOfTheMonth'] = 'dag van de maand';
        $strings['AtLeastOneDayMustBeSelected'] = 'Selecteer ten minste één dag';
        $strings['AtLeastOneEmailMustBeAdded'] = 'Voeg ten minste één e-mail toe';
        $strings['LastSent'] = 'Laatst Verzonden';
        $strings['ReservationColor'] = 'Kleur Reservering';
        $strings['PhoneCountry'] = 'Telefoon Land';
        $strings['SmsDisabled'] = 'SMS-meldingen zijn niet ingeschakeld.';
        $strings['PreferenceReservationReminders'] = 'Reserveringsherinneringen';
        $strings['PreferenceReservationCreated'] = 'Reservering Aangemaakt';
        $strings['PreferenceReservationUpdated'] = 'Reservering Bijgewerkt';
        $strings['PreferenceReservationDeleted'] = 'Reservering Verwijderd';
        $strings['PreferenceReservationApproved'] = 'Reservering Goedgekeurd';
        $strings['PreferenceReservationParticipants'] = 'Deelnemers Reservering';
        $strings['PreferenceReservationSeriesEnding'] = 'Reservering Serie Einde';
        $strings['PreferenceReservationMissedCheckin'] = 'Gemiste Reservering Check-in';
        $strings['PreferenceReservationMissedCheckout'] = 'Gemiste Reservering Check-uit';
        $strings['ReservationRemindersPreferenceDescription'] = 'Herinneringen start en einde reservering. Indien ingeschakeld worden herinneringen altijd verstuurd via e-mail.';
        $strings['ReservationCreatedPreferenceDescription'] = 'Als je een reservering maakt of iemand maakt een reservering uit jouw naam.';
        $strings['ReservationUpdatedPreferenceDescription'] = 'Als je een reservering bijwerkt of iemand werkt een reservering bij uit jouw naam.';
        $strings['ReservationDeletedPreferenceDescription'] = 'Als je een reservering verwijdert of iemand verwijdert een reservering uit jouw naam.';
        $strings['ReservationApprovedPreferenceDescription'] = 'Wanneer je lopende reserveringsaanvraag is goedgekeurd.';
        $strings['ReservationParticipantsPreferenceDescription'] = 'Wanneer iemand een uitnodiging aanvaardt of zijn deelname aan jouw reservering annuleert.';
        $strings['ReservationSeriesEndingPreferenceDescription'] = 'Wanneer het laatste evenement in een terugkerende reservering nadert.';
        $strings['ReservationMissedCheckinPreferenceDescription'] = 'Wanneer je niet hebt ingecheckt voor een reservering die is begonnen.';
        $strings['ReservationMissedCheckoutPreferenceDescription'] = 'Wanneer je niet hebt uitgecheckt uit een reservering die is afgelopen.';
        $strings['NotificationPreferenceOnlyEmail'] = 'Deze melding is alleen beschikbaar via e-mail.';
        $strings['SMSNotifications'] = 'SMS-meldingen';
        $strings['SMSPhoneMissing'] = 'Geef je telefoonnummer op om SMS-berichten te ontvangen.';
        $strings['UpdateYourProfile'] = 'Werk je profiel bij';
        $strings['SMSConfirmCode'] = 'Vul de toegangscode in die we stuurden naar je telefoonnummer (%s)';
        $strings['SMSUpdateYourPhone'] = 'Werk je telefoonnummer bij';
        $strings['SMSNeedToConfirm'] = 'We moeten je telefoonnummer bevestigen voor we je SMS-berichten kunnen sturen.';
        $strings['SendConfirmationCode'] = 'Stuur me een toegangscode';
        $strings['SMSUnavailableCountry'] = 'We kunnen geen SMS-berichten naar je land sturen.';
        $strings['SMSOptInConfirmation'] = 'Je hebt gekozen voor SMS-meldingen. Alle ingeschakelde meldingen worden verstuurd naar';
        $strings['SmsMoreInfo'] = 'Leer meer over het opzetten van SMS voor Booked.';
        $strings['SMSAllowedMessagesPerMonth'] = 'Toegestane berichten per maand';
        $strings['SMSSentThisMonth'] = 'Deze maand verzonden';
        $strings['SMSRemainingThisMonth'] = 'Resterend voor deze maand';
        $strings['SMSAdjustSettingContact'] = 'Voor het aanpassen van je SMS-instellingen, neem contact op met';
        $strings['Options'] = 'Opties';
        $strings['Calendar'] = 'Agenda';
        $strings['PartialMatch'] = 'Gedeeltelijke Overeenkomst';
        $strings['UpdateThisReport'] = 'Dit Verslag Bijwerken';
        $strings['CancelNotification'] = 'Annuleer Meldingen';
        $strings['WaitlistSingle'] = 'Iemand wacht op dit tijdslot';
        $strings['WaitlistPlural'] = 'Er wachten %s anderen voor dit tijdslot';
        $strings['Waitlist'] = 'Wachtlijst';
        $strings['WaitlistRequests'] = 'Wachtlijst Verzoeken';
        $strings['AddMeetingLink'] = 'Koppeling naar Vergadering Toevoegen';
        $strings['RemoveMeetingLink'] = 'Verwijder Link naar Vergadering';
        $strings['OpenLink'] = 'Link Openen';
        $strings['MeetingLink'] = 'Link naar Vergadering';
        $strings['ZoomMeetingsOwnerOnly'] = 'Zoom-vergaderingen kunnen alleen gemaakt worden door de eigenaar van de reservering.';
        $strings['ZoomMeetingsOwnerOnlyUpdate'] = 'Updates voor Zoom-vergaderingen kunnen alleen gemaakt worden door de eigenaar van de reservering.';
        $strings['ZoomMeetingWillBeCreated'] = 'Er wordt een Zoom-vergadering aangemaakt';
        $strings['MustLinkZoomAccount'] = 'Je moet een link toevoegen naar je Zoom-account.';
        $strings['ZoomDoesNotSupportCustomRecurrence'] = 'Zoom ondersteunt geen aangepaste herhaling. Er wordt enkel een vergadering aangemaakt voor de eerste reserveringsdatum.';
        $strings['TeamsMeetingsOwnerOnly'] = 'Teams vergaderingen kunnen alleen gemaakt worden door de eigenaar van de reservering.';
        $strings['TeamsMeetingsOwnerOnlyUpdate'] = 'Updates van Teams vergaderingen kunnen alleen gemaakt worden door de eigenaar van de reservering.';
        $strings['TeamsMeetingWillBeCreated'] = 'Er wordt een Teams vergadering aangemaakt';
        $strings['MustLinkTeamsAccount'] = 'Je moet een link toevoegen naar je Microsoft account.';
        $strings['TeamsDoesNotSupportCustomRecurrence'] = 'Teams ondersteunt geen aangepaste herhaling. Er wordt enkel een vergadering aangemaakt voor de eerste reserveringsdatum.';
        $strings['LinkedAccounts'] = 'Gekoppelde Accounts';
        $strings['Linked'] = 'Gekoppeld';
        $strings['Unlinked'] = 'Niet-gekoppeld';
        $strings['LinkAccount'] = 'Account Koppelen';
        $strings['UnlinkAccount'] = 'Account Ontkoppelen';
        $strings['DateFormat'] = 'Datumnotatie';
        $strings['TimeFormat'] = 'Tijdnotatie';
        $strings['ChangeOwner'] = 'Wijzig Eigenaar';
        $strings['CoOwners'] = 'Mede-eigenaars';
        $strings['AddCoOwners'] = 'Mede-eigenaars Toevoegen';
        $strings['ChangeCoOwners'] = 'Mede-eigenaars Wijzigen';
        $strings['RemoveCoOwner'] = 'Mede-eigenaar Verwijderen';
        $strings['CoOwner'] = 'Mede-eigenaar';
        $strings['MyReservations'] = 'Mijn Reserveringen';
        $strings['ShowLegend'] = 'Legenda Weergeven';
        $strings['HideLegend'] = 'Legenda Verbergen';
        $strings['AttributeCategory'] = 'Categorie Toepassen';
        $strings['MultipleSelect'] = 'Meervoudige Selectie';
        $strings['MustBeBookedWithOneWay'] = 'Moet Geboekt Worden Met (Eén Richting)';
        $strings['QuotaOn'] = 'Aan';
        $strings['QuotaEachPersonIn'] = 'Iedere Persoon In';
        $strings['QuotaIsLimitedTo'] = 'Is Beperkt Tot';
        $strings['QuotaStopEnforcement'] = 'Stop Afdwingen';
        $strings['QuotaAheadOfCurrentTime'] = 'Vanaf de huidige tijd';
        $strings['Every'] = 'Iedere';
        $strings['Enforced'] = 'Afgedwongen';
        $strings['Quotas'] = 'Quota';
        $strings['UpdateQuota'] = 'Update Quotum';
        $strings['UpTo'] = 'Tot Op';
        $strings['AddResourceMap'] = 'Bronkaart Toevoegen';
        $strings['Map'] = 'Kaart';
        $strings['Published'] = 'Gepubliceerd';
        $strings['Draft'] = 'Concept';
        $strings['MapName'] = 'Kaartnaam';
        $strings['MapImageInstructions'] = 'Kies een afbeelding van de kaart. Alleen afbeeldingen. Minimum breedte %s. Maximum breedte %s.';
        $strings['AdvancedSearchOptions'] = 'Geavanceerde Zoekopties';
        $strings['CreditsAreNotEnabled'] = 'Tegoeden zijn niet ingeschakeld';
        $strings['DatabaseHost'] = 'Database Host';
        $strings['SQLStatement'] = 'SQL-verklaring:';
        $strings['ErrorCode'] = 'Foutcode:';
        $strings['ScriptUrlWarning'] = 'Je <em>script.url</em> instelling kan onjuist zijn. Dit is momenteel <strong>%s</strong>, we denken dat dit <strong>%s</strong> moet zijn';
        $strings['MinNoticeErrorUpdate'] = 'Het wijzigen van deze reservering vereist voorafgaande kennisgeving. Reserveringen voor %s mogen niet gewijzigd worden.';
        $strings['MinNoticeErrorDelete'] = 'Het verwijderen van deze reservering vereist voorafgaande kennisgeving. Reserveringen voor %s mogen niet verwijderd worden.';
        $strings['InstancesOverlapRule'] = 'Sommige onderdelen van de reserverings-series overlappen elkaar:';
        $strings['MinParticipantsError'] = '%s vereisen minstens %s deelnemers.';
        $strings['MultiDayRuleAll'] = 'Reserveringen over meerdere dagen zijn niet toegestaan.';
        $strings['PasswordControlledExternallyError'] = 'Je wachtwoord wordt beheerd door een extern systeem en kan van hieruit niet bijgewerkt worden.';
        $strings['AccessoryResourceRequiredErrorMessage'] = 'Accessoire %s kan alleen geboekt worden met bronnen %s';
        $strings['AccessoryMinQuantityErrorMessage'] = 'Je moet minstens %s van accessoire %s boeken';
        $strings['AccessoryMaxQuantityErrorMessage'] = 'Je kunt niet meer dan %s van accessoire %s boeken';
        $strings['AccessoryResourceAssociationErrorMessage'] = 'Accessoire \'%s\' kan niet worden geboekt met de gevraagde bronnen';
        $strings['NoResources'] = 'Je hebt nog geen enkele bron toegevoegd.';
        $strings['ParticipationNotAllowed'] = 'Je hebt geen toestemming om deel te nemen aan deze reservering.';
        $strings['ReservationCannotBeCheckedInTo'] = 'Het is niet mogelijk om in te checken bij deze reservering.';
        $strings['ReservationCannotBeCheckedOutFrom'] = 'Uitchecken uit deze reservering is niet mogelijk.';
        $strings['InvalidEmailDomain'] = 'Dit e-mailadres is niet van een toegestaan domein';
        $strings['TermsOfServiceError'] = 'De servicevoorwaarden moeten geaccepteerd worden';
        $strings['UserNotFound'] = 'Deze gebruiker kon niet worden gevonden';
        $strings['ScheduleAvailabilityError'] = 'Dit schema is beschikbaar tussen %s en %s';
        $strings['ReservationNotFoundError'] = 'Reservering niet gevonden';
        $strings['ReservationNotAvailable'] = 'Reservering niet beschikbaar';
        $strings['TitleRequiredRule'] = 'Reservering vereist een titel';
        $strings['DescriptionRequiredRule'] = 'Reservering vereist een omschrijving';
        $strings['WhatCanThisGroupManage'] = 'Wat kan deze groep beheren?';
        $strings['RegisteredAccountRequired'] = 'Alleen geregistreerde gebruikers kunnen reserveringen boeken';
        $strings['InvalidNumberOfResourcesError'] = 'Het maximum aantal bronnen dat in een enkele reservering geboekt kan worden is %s';
        $strings['ScheduleTotalReservationsError'] = 'Dit schema staat alleen gelijktijdige reservering toe van %s bronnen. Deze reservering zou de limiet op de volgende data schenden:';
        $strings['UserConcurrentLimitError'] = 'Je mag slechts %s reserveringen per keer hebben. Deze reservering zou de limiet op de volgende data schenden:';
        $strings['ResourceMustBeBookedWith'] = '%s moet geboekt worden met %s';
        $strings['ResourceCannotBeBookedWith'] = '%s kan niet geboekt worden met %s';
        $strings['ResourceCannotBeBookedAtSameTimeAs'] = '%s kan niet op dezelfde tijd geboekt worden als %s';
        $strings['ReservationCannotBeBookedTogether '] = 'De volgende bronnen kunnen niet samen geboekt worden';
        $strings['CorrectErrorsBelow'] = 'Corrigeer de onderstaande fouten';
        $strings['ResourceImageUploadError'] = 'De afbeelding kon niet geüpload worden. Controleer het type en de grootte.';
        $strings['ReservationUploadError'] = 'Het bestand kon niet geüpload worden. Controleer het type en de grootte.';
        $strings['PastAutoreleaseError'] = 'Deze reservering is de inchecktijd gepasseerd en kan niet worden gewijzigd.';
        $strings['CannotJoinReservation'] = 'Je kunt niet deelnemen aan deze reservering.';
        $strings['CannotDeclineReservation'] = 'Je kunt deze reservering niet wijgeren.';
        $strings['WeHadTroubleProcessingYourRequest'] = 'Er waren problemen met het verwerken van je aanvraag.';
        $strings['NewPasswordCannotBeTheSameAsOld'] = 'Het nieuwe wachtwoord kan niet hetzelfde zijn als het oude wachtwoord';
        $strings['ResourceQRScanFailed'] = 'De bron kon niet toegevoegd worden. Of de QR-code is niet voor een geldige bron, of je hebt geen machtiging om deze bron te reserveren.';
        $strings['AccessoryQRScanFailed'] = 'De accessoire kon niet worden toegevoegd. Of de QR-code is niet voor een geldige accessoire, of de accessoire kan niet gereserveerd worden.';
        $strings['TimezoneMismatchError'] = 'Je browser heeft een andere tijdzone dan je profiel. Dit kan problemen geven met je reserverings-tijden.';
        $strings['AddResourceError'] = 'Voor de bron ontbreken vereiste velden';
        $strings['InvalidMeetingUrlError'] = 'De URL van de link naar de vergadering is ongeldig';
        $strings['ErrorConnectingToExternalMeeting'] = 'We konden je account niet verbinden met %s. Ververs deze bladzijde en maak opnieuw verbinding met je account.';
        $strings['MapImageError'] = 'Alleen afbeeldingen. Minimum breedte 800px. Maximum breedte 2400px. ';
        $strings['CreateReservation'] = 'Nieuwe Reservering';
        $strings['EditReservation'] = 'Reservering Bijwerken';
        $strings['ManageReservations'] = 'Reserveringen';
        $strings['ManageReservationSettings'] = 'Instellingen Reservering';
        $strings['ManageQuotas'] = 'Quota';
        $strings['Dashboard'] = 'Dashboard';
        $strings['Help'] = 'Help';
        $strings['About'] = 'Over';
        $strings['Account'] = 'Account';
        $strings['Reservation'] = 'Nieuwe Reservering';
        $strings['ManageResourceTypes'] = 'Brontypen';
        $strings['ManagePayments'] = 'Betalingen';
        $strings['ManageMonitorViews'] = 'Monitor Weergaven';
        $strings['ConfirmAccount'] = 'Veiligheidscontrole';
        $strings['FirstLogin'] = 'Welkom bij Booked!';
        $strings['ReservationsNav'] = 'Reserveringen';
        $strings['ManageMaps'] = 'Bronkaarten';
        $strings['ResourceMaps'] = 'Bronkaarten';
        $strings['DayMondaySingle'] = 'M';
        $strings['DayWednesdaySingle'] = 'W';
        $strings['ReservationDeletedSubject'] = 'Je reservering werd verwijderd';
        $strings['ReservationDeleteAdminSubject'] = 'Melding: Een reservering werd verwijderd';
        $strings['ReservationApprovalAdminSubject'] = 'Melding: Reservering vereist je goedkeuring';
        $strings['ParticipantDeletedSubject'] = 'Reservering verwijderd';
        $strings['ResetPasswordRequest'] = 'Verzoek om wachtwoord opnieuw in te stellen';
        $strings['UserDeleted'] = 'Gebruikers-account van %s werd verwijderd door %s';
        $strings['GuestAccountCreatedSubject'] = 'Je %s account details';
        $strings['AccountCreatedSubject'] = 'Je %s account details';
        $strings['InviteUserSubject'] = '%s heeft je uitgenodigd om deel te nemen aan %s';
        $strings['ReservationApprovedSubjectWithResource'] = 'Reservering voor %s is goedgekeurd';
        $strings['ReservationCreatedSubjectWithResource'] = 'Reservering voor %s is aangemaakt';
        $strings['ReservationUpdatedSubjectWithResource'] = 'Reservering voor %s is bijgewerkt';
        $strings['ReservationDeletedSubjectWithResource'] = 'Reservering voor %s is verwijderd';
        $strings['ReservationCreatedAdminSubjectWithResource'] = 'Melding: Reservering voor %s is aangemaakt';
        $strings['ReservationUpdatedAdminSubjectWithResource'] = 'Melding: Reservering voor %s is bijgewerkt';
        $strings['ReservationDeleteAdminSubjectWithResource'] = 'Melding: Reservering voor %s is verwijderd';
        $strings['ReservationApprovalAdminSubjectWithResource'] = 'Melding: Reservering voor %s vereist je goedkeuring';
        $strings['ParticipantAddedSubjectWithResource'] = '%s heeft je toegevoegd aan een reservering voor %s';
        $strings['ParticipantUpdatedSubjectWithResource'] = '%s heeft een reservering bijgewerkt voor %s';
        $strings['ParticipantDeletedSubjectWithResource'] = '%s heeft een reservering verwijderd voor %s';
        $strings['InviteeAddedSubjectWithResource'] = '%s heeft je uitgenodigd voor een reservering voor %s';
        $strings['MissedCheckinEmailSubject'] = 'Gemiste check-in voor %s';
        $strings['MissedCheckoutEmailSubject'] = 'Gemiste check-out voor %s';
        $strings['ReservationExtendedEmailSubject'] = 'Reservering voor %s wordt automatisch verlengd';
        $strings['ReservationShareSubject'] = '%s deelde een reservering voor %s';
        $strings['ReservationSeriesEndingSubject'] = 'Reservering series voor %s eindigt op %s';
        $strings['ReservationParticipantAccept'] = '%s heeft je reserverings-uitnodiging geaccepteerd voor %s op %s';
        $strings['ReservationParticipantDecline'] = '%s heeft je reserverings-uitnodiging geweigerd voor %s op %s';
        $strings['ReservationParticipantJoin'] = '%s heeft deelgenomen aan je reservering voor %s op %s';
        $strings['ReservationAvailableSubject'] = '%s is beschikbaar op %s';
        $strings['ResourceStatusChangedSubject'] = 'De beschikbaarheid van %s is veranderd';
        $strings['PasswordUpdatedByAdminSubject'] = 'Je %s wachtwoord is veranderd';
        $strings['OneTimePasscodeSubject'] = 'Je %s eenmalige toegangscode';
        $strings['ReservationOwnershipChangedSubject'] = 'Reserveringen zijn aan jou overgedragen';
        $strings['CoOwnerAddedSubjectWithResource'] = '%s heeft je toegevoegd als een mede-eigenaar van een reservering voor %s';
        $strings['CoOwnerUpdatedSubjectWithResource'] = '%s heeft een reservering waarvan je mede-eigenaar bent bijgewerkt voor %s';
        $strings['CoOwnerDeletedSubjectWithResource'] = '%s heeft een reservering waarvan je mede-eigenaar bent verwijderd voor %s';
        $strings['SMSMessageReservationCreated'] = 'Reservering voor %s om %s werd aangemaakt. %s';
        $strings['SMSMessageReservationApproved'] = 'Reservering voor %s om %s werd goedgekeurd. %s';
        $strings['SMSMessageReservationDeleted'] = 'Reservering voor %s om %s werd verwijderd. %s';
        $strings['SMSMessageReservationUpdated'] = 'Reservering voor %s om %s werd bijgewerkt. %s';
        $strings['SMSMessageReservationStartReminder'] = 'Reservering voor %s begint om %s. %s';
        $strings['SMSMessageReservationEndReminder'] = 'Reservering voor %s eindigt om %s. %s';
        $strings['SMSMessageReservationSeriesEndingReminder'] = 'De laatste reservering in de series voor %s is op %s. %s';
        $strings['SMSMessageOTP'] = 'Je eenmalige Booked toegangscode is %s';
        $strings['SMSMessageOTPConfirm'] = 'Bedankt voor het bevestigen van je telefoonnummer. Je kunt je Booked SMS-instelingen beheren bij Mijn account, Melding voorkeuren.';
        $strings['SMSMessageReservationMissedCheckin'] = 'Je hebt de reservering incheck tijd gemist voor %s om %s. %s';
        $strings['SMSMessageReservationMissedCheckout'] = 'Je hebt de reservering uitcheck tijd gemist voor %s om %s. %s';

        // End Strings

        // Install
        $strings['InstallApplication'] = 'Installeer Booked Scheduler (MySQL only)';
        $strings['IncorrectInstallPassword'] = 'Sorry, dat wachtwoord is onjuist.';
        $strings['SetInstallPassword'] = 'Je moet een wachtwoord instellen voordat de installatie kan worden uitgevoerd.';
        $strings['InstallPasswordInstructions'] = 'In %s wijzig %s naar een moeilijk wachtwoord dat moeilijk te raden is en ga dan terug naar deze pagina.<br/>Je kan %s gebruiken';
        $strings['NoUpgradeNeeded'] = 'Er is geen upgrade nodig. De installatie zal alle bestaande data verwijderen en zal een nieuwe kopie gemaakt worden van Booked Scheduler!';
        $strings['ProvideInstallPassword'] = 'Geef het wachtwoord van tijdens de installatie op.';
        $strings['InstallPasswordLocation'] = 'Dit kan worden gevonden bij %s in %s.';
        $strings['VerifyInstallSettings'] = 'Controleer de volgende standaardinstellingen voordat je verder gaat. Of je kan ze veranderen in %s.';
        $strings['DatabaseName'] = 'Database Naam';
        $strings['DatabaseUser'] = 'Database Gebruiker';
        $strings['DatabaseHost'] = 'Database Host';
        $strings['DatabaseCredentials'] = 'Je moet een account van MySQL gebruiken die rechten heeft om databases te maken. Als je die niet weet, neem dan contact op met je database administrator. In veel gevallen zal de root account werken.';
        $strings['MySQLUser'] = 'MySQL Account';
        $strings['InstallOptionsWarning'] = 'De volgende opties zullen waarschijnlijk niet werken in een gehoste omgeving. Als je in een gehoste omgeving installeert, gebruik dan de MySQL wizard om deze stappen uit te voeren.';
        $strings['CreateDatabase'] = 'Maak de database';
        $strings['CreateDatabaseUser'] = 'Maak de database account';
        $strings['PopulateExampleData'] = 'Import voorbeeld data. Maak administrator account: admin/password en gebruiker account: user/password';
        $strings['DataWipeWarning'] = 'Let op: Dit zal alle bestaande data verwijderen';
        $strings['RunInstallation'] = 'Start Installatie';
        $strings['UpgradeNotice'] = 'Je zal nu upgraden van versie <b>%s</b> naar versie <b>%s</b>';
        $strings['RunUpgrade'] = 'Start Upgrade';
        $strings['Executing'] = 'Uitvoeren';
        $strings['StatementFailed'] = 'Mislukt. Details:';
        $strings['SQLStatement'] = 'SQL Statement:';
        $strings['ErrorCode'] = 'Error Code:';
        $strings['ErrorText'] = 'Error Tekst:';
        $strings['InstallationSuccess'] = 'Installatie succesvol afgerond!';
        $strings['RegisterAdminUser'] = 'Registreer je beheerder account. Dit is noodzakelijk als je de voorbeeld data niet geimporteerd hebt. Zorg ervoor dat $conf[\'settings\'][\'allow.self.registration\'] = \'true\' in je %s bestand.';
        $strings['LoginWithSampleAccounts'] = 'Als je de voorbeeld data geimporteerd hebt, kan je inloggen met admin/password voor de beheerder account of user/password voor de standaard gebruiker.';
        $strings['InstalledVersion'] = 'Je zit nu op versie %s van Booked Scheduler';
        $strings['InstallUpgradeConfig'] = 'Het is aanbevolen om je config bestand to upgraden';
        $strings['InstallationFailure'] = 'Er waren problemen met de installatie. Graag deze corrigeren en probeer de installatie opnieuw.';
        $strings['ConfigureApplication'] = 'Configureer Booked Scheduler';
        $strings['ConfigUpdateSuccess'] = 'Je configuratie bestand is nu bijgewerkt!';
        $strings['ConfigUpdateFailure'] = 'We konden het configuratie bestand niet automatisch updaten. Overschrijf de inhoud van config.php met het volgende:';
        $strings['SelectUser'] = 'Selecteer Gebruiker';

        // Errors
        $strings['LoginError'] = 'Ongeldige gebruikersnaam of wachtwoord opgegeven';
        $strings['ReservationFailed'] = 'Uw reservering kan niet worden uitgevoerd';
        $strings['MinNoticeError'] = 'Deze reservering moet op voorhand worden aangevraagd. De vroegste reserveringsdatum is %s.';
        $strings['MaxNoticeError'] = 'Deze reservering kan niet zover in de toekomst worden gemaakt. De uiterste reserveringsdatum in de toekomst is %s.';
        $strings['MinDurationError'] = 'Deze reservering moet een minimum duur hebben van %s.';
        $strings['MaxDurationError'] = 'Deze reservering kan niet langer duren dan %s.';
        $strings['ConflictingAccessoryDates'] = 'Er zijn onvoldoende benodigheden voorradig:';
        $strings['NoResourcePermission'] = 'U hebt onvoldoende rechten om toegang tot een of meerdere van de bronnen te verkrijgen';
        $strings['ConflictingReservationDates'] = 'Er zijn conflicterende reserveringen op volgende data:';
        $strings['StartDateBeforeEndDateRule'] = 'De startdatum moet voor de einddatum liggen';
        $strings['StartIsInPast'] = 'Een startdatum in het verleden is ongeldig';
        $strings['EmailDisabled'] = 'De beheerder zette de optie e-mail meldingen af';
        $strings['ValidLayoutRequired'] = 'Slots moeten voor de volledige 24 uren van de dag voorzien worden, beginnend en eindigend om 12:00 AM.';
        $strings['CustomAttributeErrors'] = 'Er zijn problemen met de extra attributen die je ingevuld hebt:';
        $strings['CustomAttributeRequired'] = '%s is een verplicht veld.';
        $strings['CustomAttributeInvalid'] = 'De ingevulde waarde van %s is incorrect.';
        $strings['AttachmentLoadingError'] = 'Sorry, er was een probleem met het laden van het opgevraagde bestand.';
        $strings['InvalidAttachmentExtension'] = 'Je kan alleen bestanden uploaden met het extentietype: %s';
        $strings['InvalidStartSlot'] = 'De gevraagde startdatum en tijd is ongeldig.';
        $strings['InvalidEndSlot'] = 'De gevraagde einddatum en tijd is ongeldig.';
        $strings['MaxParticipantsError'] = '%s ondersteunt slechts %s deelnemers.';
        $strings['ReservationCriticalError'] = 'Er was een kritieke fout bij het opslaan van je reservering. Als dit zich herhaalt, neem dan contact op met je systeembeheerder.';
        $strings['InvalidStartReminderTime'] = 'De starttijd van de herrinnering is ongeldig.';
        $strings['InvalidEndReminderTime'] = 'De eindtijd van de herrinnering is ongeldig.';
        $strings['QuotaExceeded'] = 'Quota limiet overschreden.';
        $strings['MultiDayRule'] = '%s staat reserveringen over meerdere dagen niet toe.';
        $strings['InvalidReservationData'] = 'Er was een probleem met je reserverings aanvraag.';
        $strings['PasswordError'] = 'Wachtwoord moet minsterns %s letters en minstens %s nummers.';
        $strings['PasswordErrorRequirements'] = 'Wachtwoord moet een combinatie van minstens %s hoofdletters en kleine letters en %s nummers.';
        $strings['ReservationParticipationActivityPreference'] = 'Als iemand zich toevoegt bij mijn reserveringen';
        $strings['ReservationSeriesEndingPreference'] = 'Als mijn serie herhalende reserveringen eindigen';
        $strings['ReservationDeletedPreference'] = 'Als ik een reservering verwijder of uit mijn naam verwijderd wordt';
        $strings['NoReservationAccess'] = 'Je hebt geen rechten om deze reservering te wijzigen.';

        // Page Titles
        $strings['CreateReservation'] = 'Maak een reservering';
        $strings['EditReservation'] = 'Wijzig reservering';
        $strings['LogIn'] = 'Inloggen';
        $strings['ManageReservations'] = 'Reserveringen';
        $strings['AwaitingActivation'] = 'Wachtend op activering';
        $strings['PendingApproval'] = 'Wachtend op goedkeuring';
        $strings['ManageSchedules'] = 'Planningen';
        $strings['ManageResources'] = 'Bronnen';
        $strings['ManageAccessories'] = 'Benodigdheden';
        $strings['ManageUsers'] = 'Gebruikers';
        $strings['ManageGroups'] = 'Groepen';
        $strings['ManageQuotas'] = 'Quota';
        $strings['ManageBlackouts'] = 'Geblokkeerde periodes';
        $strings['MyDashboard'] = 'Mijn Dashboard';
        $strings['ServerSettings'] = 'Server instellingen';
        $strings['Dashboard'] = 'Dashboard';
        $strings['Help'] = 'Help';
        $strings['Bookings'] = 'Boekingen';
        $strings['Schedule'] = 'Planning';
        $strings['Reservations'] = 'Reserveringen';
        $strings['Account'] = 'Account';
        $strings['EditProfile'] = 'Profiel wijzigen';
        $strings['FindAnOpening'] = 'Een mogelijkheid zoeken';
        $strings['OpenInvitations'] = 'Open uitnodigingen';
        $strings['MyCalendar'] = 'Mijn kalender';
        $strings['ResourceCalendar'] = 'Bron kalender';
        $strings['Reservation'] = 'Nieuwe Reservering';
        $strings['Install'] = 'Installatie';
        $strings['ChangePassword'] = 'Wachtwoord wijzigen';
        $strings['MyAccount'] = 'Mijn account';
        $strings['Profile'] = 'Profiel';
        $strings['ApplicationManagement'] = 'Applicatie beheer';
        $strings['ForgotPassword'] = 'Wachtwoord vergeten';
        $strings['NotificationPreferences'] = 'Melding voorkeuren';
        $strings['ManageAnnouncements'] = 'Aankondigingen';
        $strings['Responsibilities'] = 'Verantwoordelijkheden';
        $strings['GroupReservations'] = 'Groep Reserveringen';
        $strings['ResourceReservations'] = 'Bron Reserveringen';
        $strings['Customization'] = 'Aanpassing';
        $strings['Attributes'] = 'Attributen';
        $strings['Attribute'] = 'Attribuut';
        $strings['AccountActivation'] = 'Account Activatie';
        $strings['ScheduleReservations'] = 'Planning Reserveringen';
        $strings['Reports'] = 'Rapporten';
        $strings['GenerateReport'] = 'Maak nieuw raport';
        $strings['MySavedReports'] = 'Mijn opgeslagen rapporten';
        $strings['CommonReports'] = 'Algemene rapporten';
        $strings['ViewDay'] = 'Belijk dag';
        $strings['Group'] = 'Groep';
        $strings['ManageConfiguration'] = 'Applicatie configuratie';
        $strings['LookAndFeel'] = 'Vormgeving';
        $strings['ManageResourceGroups'] = 'Bron Groepen';
        $strings['ManageResourceTypes'] = 'Bron Types';
        $strings['ManageResourceStatus'] = 'Bron Statussen';
        //

        // Day representations
        $strings['DaySundaySingle'] = 'Z';
        $strings['DayMondaySingle'] = 'M';
        $strings['DayTuesdaySingle'] = 'D';
        $strings['DayWednesdaySingle'] = 'W';
        $strings['DayThursdaySingle'] = 'D';
        $strings['DayFridaySingle'] = 'V';
        $strings['DaySaturdaySingle'] = 'Z';

        $strings['DaySundayAbbr'] = 'Zo';
        $strings['DayMondayAbbr'] = 'Ma';
        $strings['DayTuesdayAbbr'] = 'Di';
        $strings['DayWednesdayAbbr'] = 'Wo';
        $strings['DayThursdayAbbr'] = 'Do';
        $strings['DayFridayAbbr'] = 'Vr';
        $strings['DaySaturdayAbbr'] = 'Za';

        // Email Subjects
        $strings['ReservationApprovedSubject'] = 'Uw reservering is goedgekeurd';
        $strings['ReservationCreatedSubject'] = 'Uw reservering is aangemaakt';
        $strings['ReservationUpdatedSubject'] = 'Uw reservering is aangepast';
        $strings['ReservationCreatedAdminSubject'] = 'Melding: Een reservering is aangemaakt';
        $strings['ReservationUpdatedAdminSubject'] = 'Melding: Een reservering is aangepast';
        $strings['ParticipantAddedSubject'] = 'Melding: deelname aan een reservering';
        $strings['InviteeAddedSubject'] = 'Uitnodiging reservering';
        $strings['ResetPassword'] = 'Verzoek om wachtwoord te resetten';
        $strings['ForgotPasswordEmailSent'] = 'Een e-mail is naar uw account gestuurd met de informatie om uw wachtwoord te resetten';
        $strings['ActivateYourAccount'] = 'Activeer Je Account';
        $strings['ReportSubject'] = 'Je Opgevraagde Rapport (%s)';
        $strings['ReservationStartingSoonSubject'] = 'Reservering voor %s start binnenkort';
        $strings['ReservationEndingSoonSubject'] = 'Reservering voor %s eindigt binnekort';
        $strings['UserAdded'] = 'Een nieuwe gebruiker is toegevoegd.';
        //

        $this->Strings = $strings;
    }

    protected function _LoadDays()
    {
        $days = parent::_LoadDays();

        /***
         * DAY NAMES
         * All of these arrays MUST start with Sunday as the first element
         * and go through the seven day week, ending on Saturday
         ***/
        // The full day name
        $days['full'] = array('Zondag', 'Maandag', 'Dinsdag', 'Woensdag', 'Donderdag', 'Vrijdag', 'Zaterdag');
        // The three letter abbreviation
        $days['abbr'] = array('Zon', 'Maa', 'Din', 'Woe', 'Don', 'Vri', 'Zat');
        // The two letter abbreviation
        $days['two'] = array('Zo', 'Ma', 'Di', 'Wo', 'Do', 'Vr', 'Za');
        // The one letter abbreviation
        $days['letter'] = array('Z', 'M', 'D', 'W', 'D', 'V', 'Z');

        $this->Days = $days;
    }

    protected function _LoadMonths()
    {
        $months = parent::_LoadMonths();

        /***
         * MONTH NAMES
         * All of these arrays MUST start with January as the first element
         * and go through the twelve months of the year, ending on December
         ***/
        // The full month name
        $months['full'] = array('Januari', 'Februari', 'Maart', 'April', 'Mei', 'Juni', 'Juli', 'Augustus', 'September', 'Oktober', 'November', 'December');
        // The three letter month name
        $months['abbr'] = array('Jan', 'Feb', 'Mrt', 'Apr', 'Mei', 'Jun', 'Jul', 'Aug', 'Sep', 'Okt', 'Nov', 'Dec');

        $this->Months = $months;
    }

    protected function _GetHtmlLangCode()
    {
        return 'nl';
    }
}